/* DockPreferences.c generated by valac 0.18.1, the Vala compiler
 * generated from DockPreferences.vala, do not modify */

/*  */
/*  Copyright (C) 2011-2012 Robert Dyer, Rico Tzschichholz*/
/* */
/*  This program is free software: you can redistribute it and/or modify*/
/*  it under the terms of the GNU General Public License as published by*/
/*  the Free Software Foundation, either version 3 of the License, or*/
/*  (at your option) any later version.*/
/* */
/*  This program is distributed in the hope that it will be useful,*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*  GNU General Public License for more details.*/
/* */
/*  You should have received a copy of the GNU General Public License*/
/*  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
/* */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>


#define PLANK_SERVICES_TYPE_PREFERENCES (plank_services_preferences_get_type ())
#define PLANK_SERVICES_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PLANK_SERVICES_TYPE_PREFERENCES, PlankServicesPreferences))
#define PLANK_SERVICES_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PLANK_SERVICES_TYPE_PREFERENCES, PlankServicesPreferencesClass))
#define PLANK_SERVICES_IS_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLANK_SERVICES_TYPE_PREFERENCES))
#define PLANK_SERVICES_IS_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PLANK_SERVICES_TYPE_PREFERENCES))
#define PLANK_SERVICES_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PLANK_SERVICES_TYPE_PREFERENCES, PlankServicesPreferencesClass))

typedef struct _PlankServicesPreferences PlankServicesPreferences;
typedef struct _PlankServicesPreferencesClass PlankServicesPreferencesClass;
typedef struct _PlankServicesPreferencesPrivate PlankServicesPreferencesPrivate;

#define PLANK_TYPE_DOCK_PREFERENCES (plank_dock_preferences_get_type ())
#define PLANK_DOCK_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferences))
#define PLANK_DOCK_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferencesClass))
#define PLANK_IS_DOCK_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLANK_TYPE_DOCK_PREFERENCES))
#define PLANK_IS_DOCK_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PLANK_TYPE_DOCK_PREFERENCES))
#define PLANK_DOCK_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferencesClass))

typedef struct _PlankDockPreferences PlankDockPreferences;
typedef struct _PlankDockPreferencesClass PlankDockPreferencesClass;
typedef struct _PlankDockPreferencesPrivate PlankDockPreferencesPrivate;

#define PLANK_TYPE_HIDE_TYPE (plank_hide_type_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _PlankServicesPreferences {
	GObject parent_instance;
	PlankServicesPreferencesPrivate * priv;
};

struct _PlankServicesPreferencesClass {
	GObjectClass parent_class;
	void (*verify) (PlankServicesPreferences* self, const gchar* prop);
	void (*reset_properties) (PlankServicesPreferences* self);
};

struct _PlankDockPreferences {
	PlankServicesPreferences parent_instance;
	PlankDockPreferencesPrivate * priv;
};

struct _PlankDockPreferencesClass {
	PlankServicesPreferencesClass parent_class;
};

typedef enum  {
	PLANK_HIDE_TYPE_NONE,
	PLANK_HIDE_TYPE_INTELLIGENT,
	PLANK_HIDE_TYPE_AUTO
} PlankHideType;

struct _PlankDockPreferencesPrivate {
	gboolean _CurrentWorkspaceOnly;
	gint _IconSize;
	PlankHideType _HideMode;
	guint _UnhideDelay;
	gint _Monitor;
	gchar* _DockItems;
	GtkPositionType _Position;
	gint _Offset;
	gchar* _Theme;
	GtkAlign _Alignment;
	GtkAlign _ItemsAlignment;
};


static gpointer plank_dock_preferences_parent_class = NULL;

GType plank_services_preferences_get_type (void) G_GNUC_CONST;
GType plank_dock_preferences_get_type (void) G_GNUC_CONST;
GType plank_hide_type_get_type (void) G_GNUC_CONST;
#define PLANK_DOCK_PREFERENCES_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferencesPrivate))
enum  {
	PLANK_DOCK_PREFERENCES_DUMMY_PROPERTY,
	PLANK_DOCK_PREFERENCES_CURRENT_WORKSPACE_ONLY,
	PLANK_DOCK_PREFERENCES_ICON_SIZE,
	PLANK_DOCK_PREFERENCES_HIDE_MODE,
	PLANK_DOCK_PREFERENCES_UNHIDE_DELAY,
	PLANK_DOCK_PREFERENCES_MONITOR,
	PLANK_DOCK_PREFERENCES_DOCK_ITEMS,
	PLANK_DOCK_PREFERENCES_POSITION,
	PLANK_DOCK_PREFERENCES_OFFSET,
	PLANK_DOCK_PREFERENCES_THEME,
	PLANK_DOCK_PREFERENCES_ALIGNMENT,
	PLANK_DOCK_PREFERENCES_ITEMS_ALIGNMENT
};
static void plank_dock_preferences_monitors_changed (PlankDockPreferences* self);
static void _plank_dock_preferences_monitors_changed_gdk_screen_monitors_changed (GdkScreen* _sender, gpointer self);
#define PLANK_DOCK_PREFERENCES_MIN_ICON_SIZE 24
#define PLANK_DOCK_PREFERENCES_MAX_ICON_SIZE 128
PlankDockPreferences* plank_dock_preferences_new (void);
PlankDockPreferences* plank_dock_preferences_construct (GType object_type);
PlankServicesPreferences* plank_services_preferences_construct (GType object_type);
PlankDockPreferences* plank_dock_preferences_new_with_filename (const gchar* filename);
PlankDockPreferences* plank_dock_preferences_construct_with_filename (GType object_type, const gchar* filename);
PlankServicesPreferences* plank_services_preferences_construct_with_filename (GType object_type, const gchar* filename);
static void plank_dock_preferences_real_reset_properties (PlankServicesPreferences* base);
void plank_services_logger_verbose (const gchar* msg, ...);
void plank_dock_preferences_set_CurrentWorkspaceOnly (PlankDockPreferences* self, gboolean value);
void plank_dock_preferences_set_IconSize (PlankDockPreferences* self, gint value);
void plank_dock_preferences_set_HideMode (PlankDockPreferences* self, PlankHideType value);
void plank_dock_preferences_set_UnhideDelay (PlankDockPreferences* self, guint value);
void plank_dock_preferences_set_Monitor (PlankDockPreferences* self, gint value);
void plank_dock_preferences_set_DockItems (PlankDockPreferences* self, const gchar* value);
void plank_dock_preferences_set_Position (PlankDockPreferences* self, GtkPositionType value);
void plank_dock_preferences_set_Offset (PlankDockPreferences* self, gint value);
#define PLANK_DRAWING_THEME_DEFAULT_NAME "Default"
void plank_dock_preferences_set_Theme (PlankDockPreferences* self, const gchar* value);
void plank_dock_preferences_set_Alignment (PlankDockPreferences* self, GtkAlign value);
void plank_dock_preferences_set_ItemsAlignment (PlankDockPreferences* self, GtkAlign value);
void plank_services_preferences_verify (PlankServicesPreferences* self, const gchar* prop);
gint plank_dock_preferences_get_monitor (PlankDockPreferences* self);
gint plank_dock_preferences_get_Monitor (PlankDockPreferences* self);
void plank_dock_preferences_increase_icon_size (PlankDockPreferences* self);
gint plank_dock_preferences_get_IconSize (PlankDockPreferences* self);
void plank_dock_preferences_decrease_icon_size (PlankDockPreferences* self);
gboolean plank_dock_preferences_is_horizontal_dock (PlankDockPreferences* self);
GtkPositionType plank_dock_preferences_get_Position (PlankDockPreferences* self);
static void plank_dock_preferences_real_verify (PlankServicesPreferences* base, const gchar* prop);
gint plank_dock_preferences_get_Offset (PlankDockPreferences* self);
const gchar* plank_dock_preferences_get_Theme (PlankDockPreferences* self);
gboolean plank_dock_preferences_get_CurrentWorkspaceOnly (PlankDockPreferences* self);
PlankHideType plank_dock_preferences_get_HideMode (PlankDockPreferences* self);
guint plank_dock_preferences_get_UnhideDelay (PlankDockPreferences* self);
const gchar* plank_dock_preferences_get_DockItems (PlankDockPreferences* self);
GtkAlign plank_dock_preferences_get_Alignment (PlankDockPreferences* self);
GtkAlign plank_dock_preferences_get_ItemsAlignment (PlankDockPreferences* self);
static void plank_dock_preferences_finalize (GObject* obj);
static void _vala_plank_dock_preferences_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_plank_dock_preferences_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _plank_dock_preferences_monitors_changed_gdk_screen_monitors_changed (GdkScreen* _sender, gpointer self) {
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_monitors_changed (self);
#line 167 "DockPreferences.c"
}


/**
 * {@inheritDoc}
 */
PlankDockPreferences* plank_dock_preferences_construct (GType object_type) {
	PlankDockPreferences * self = NULL;
	GdkScreen* _tmp0_ = NULL;
#line 72 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self = (PlankDockPreferences*) plank_services_preferences_construct (object_type);
#line 73 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = gdk_screen_get_default ();
#line 73 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_signal_connect_object (_tmp0_, "monitors-changed", (GCallback) _plank_dock_preferences_monitors_changed_gdk_screen_monitors_changed, self, 0);
#line 70 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return self;
#line 185 "DockPreferences.c"
}


PlankDockPreferences* plank_dock_preferences_new (void) {
#line 70 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return plank_dock_preferences_construct (PLANK_TYPE_DOCK_PREFERENCES);
#line 192 "DockPreferences.c"
}


/**
 * {@inheritDoc}
 */
PlankDockPreferences* plank_dock_preferences_construct_with_filename (GType object_type, const gchar* filename) {
	PlankDockPreferences * self = NULL;
	const gchar* _tmp0_;
	GdkScreen* _tmp1_ = NULL;
#line 79 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 81 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = filename;
#line 81 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self = (PlankDockPreferences*) plank_services_preferences_construct_with_filename (object_type, _tmp0_);
#line 82 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp1_ = gdk_screen_get_default ();
#line 82 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_signal_connect_object (_tmp1_, "monitors-changed", (GCallback) _plank_dock_preferences_monitors_changed_gdk_screen_monitors_changed, self, 0);
#line 79 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return self;
#line 215 "DockPreferences.c"
}


PlankDockPreferences* plank_dock_preferences_new_with_filename (const gchar* filename) {
#line 79 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return plank_dock_preferences_construct_with_filename (PLANK_TYPE_DOCK_PREFERENCES, filename);
#line 222 "DockPreferences.c"
}


/**
 * {@inheritDoc}
 */
static void plank_dock_preferences_real_reset_properties (PlankServicesPreferences* base) {
	PlankDockPreferences * self;
#line 93 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self = (PlankDockPreferences*) base;
#line 95 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_services_logger_verbose ("DockPreferences.reset_properties ()", NULL);
#line 97 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_CurrentWorkspaceOnly (self, FALSE);
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_IconSize (self, 48);
#line 99 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_HideMode (self, PLANK_HIDE_TYPE_INTELLIGENT);
#line 100 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_UnhideDelay (self, (guint) 0);
#line 101 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_Monitor (self, -1);
#line 102 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_DockItems (self, "");
#line 103 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_Position (self, GTK_POS_BOTTOM);
#line 104 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_Offset (self, 0);
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_Theme (self, PLANK_DRAWING_THEME_DEFAULT_NAME);
#line 106 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_Alignment (self, GTK_ALIGN_CENTER);
#line 107 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_set_ItemsAlignment (self, GTK_ALIGN_CENTER);
#line 257 "DockPreferences.c"
}


static void plank_dock_preferences_monitors_changed (PlankDockPreferences* self) {
#line 110 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 112 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_services_preferences_verify ((PlankServicesPreferences*) self, "Monitor");
#line 266 "DockPreferences.c"
}


/**
 * Get the actual monitor to place the dock on
 *
 * @return the number of the monitor
 */
gint plank_dock_preferences_get_monitor (PlankDockPreferences* self) {
	gint result = 0;
	gint _tmp0_;
	gint _tmp3_;
#line 120 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 122 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Monitor;
#line 122 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	if (_tmp0_ <= (-1)) {
#line 285 "DockPreferences.c"
		GdkScreen* _tmp1_ = NULL;
		gint _tmp2_ = 0;
#line 123 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp1_ = gdk_screen_get_default ();
#line 123 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp2_ = gdk_screen_get_primary_monitor (_tmp1_);
#line 123 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		result = _tmp2_;
#line 123 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		return result;
#line 296 "DockPreferences.c"
	}
#line 124 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp3_ = self->priv->_Monitor;
#line 124 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp3_;
#line 124 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 304 "DockPreferences.c"
}


/**
 * Increases the IconSize, if it is not already at its max.
 */
void plank_dock_preferences_increase_icon_size (PlankDockPreferences* self) {
	gint _tmp0_;
#line 130 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_IconSize;
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	if (_tmp0_ < PLANK_DOCK_PREFERENCES_MAX_ICON_SIZE) {
#line 319 "DockPreferences.c"
		gint _tmp1_;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp1_ = self->priv->_IconSize;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_IconSize (self, _tmp1_ + 1);
#line 325 "DockPreferences.c"
	}
}


/**
 * Decreases the IconSize, if it is not already at its min.
 */
void plank_dock_preferences_decrease_icon_size (PlankDockPreferences* self) {
	gint _tmp0_;
#line 139 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 141 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_IconSize;
#line 141 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	if (_tmp0_ > PLANK_DOCK_PREFERENCES_MIN_ICON_SIZE) {
#line 341 "DockPreferences.c"
		gint _tmp1_;
#line 142 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp1_ = self->priv->_IconSize;
#line 142 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_IconSize (self, _tmp1_ - 1);
#line 347 "DockPreferences.c"
	}
}


/**
 * Return whether or not a dock is a horizontal dock.
 *
 * @return true if the dock's position indicates it is horizontal
 */
gboolean plank_dock_preferences_is_horizontal_dock (PlankDockPreferences* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	GtkPositionType _tmp1_;
	gboolean _tmp3_;
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp1_ = self->priv->_Position;
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	if (_tmp1_ == GTK_POS_TOP) {
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp0_ = TRUE;
#line 370 "DockPreferences.c"
	} else {
		GtkPositionType _tmp2_;
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp2_ = self->priv->_Position;
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		_tmp0_ = _tmp2_ == GTK_POS_BOTTOM;
#line 377 "DockPreferences.c"
	}
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp3_ = _tmp0_;
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp3_;
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 385 "DockPreferences.c"
}


/**
 * {@inheritDoc}
 */
static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_ = NULL;
#line 1228 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1228 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1229 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	return result;
#line 408 "DockPreferences.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1232 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1232 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1232 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 421 "DockPreferences.c"
	{
		const gchar* _tmp0_;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_;
		GRegex* _tmp3_;
		GRegex* _tmp4_;
		GRegex* regex;
		GRegex* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_;
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		if (_inner_error_ != NULL) {
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 451 "DockPreferences.c"
				goto __catch0_g_regex_error;
			}
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1234 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			return NULL;
#line 460 "DockPreferences.c"
		}
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp5_ = regex;
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp6_ = replacement;
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_replace_literal (_tmp5_, self, (gssize) (-1), 0, _tmp6_, 0, &_inner_error_);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		if (_inner_error_ != NULL) {
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 476 "DockPreferences.c"
				goto __catch0_g_regex_error;
			}
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
			return NULL;
#line 487 "DockPreferences.c"
		}
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		result = _tmp8_;
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1235 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		return result;
#line 495 "DockPreferences.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
		GError* e = NULL;
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1237 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 509 "DockPreferences.c"
	}
	__finally0:
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
	if (_inner_error_ != NULL) {
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1233 "/usr/share/vala-0.18/vapi/glib-2.0.vapi"
		return NULL;
#line 520 "DockPreferences.c"
	}
}


static void plank_dock_preferences_real_verify (PlankServicesPreferences* base, const gchar* prop) {
	PlankDockPreferences * self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label0 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label1 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label2 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label3 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label4 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label5 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label6 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label7 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label8 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label9 = 0;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	static GQuark _tmp2_label10 = 0;
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self = (PlankDockPreferences*) base;
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (prop != NULL);
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = prop;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp1_ = _tmp0_;
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	if (_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("CurrentWorkspaceOnly")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 566 "DockPreferences.c"
			default:
			{
#line 162 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 571 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("IconSize")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 577 "DockPreferences.c"
			default:
			{
				gint _tmp4_;
#line 165 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				_tmp4_ = self->priv->_IconSize;
#line 165 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				if (_tmp4_ < PLANK_DOCK_PREFERENCES_MIN_ICON_SIZE) {
#line 166 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					plank_dock_preferences_set_IconSize (self, PLANK_DOCK_PREFERENCES_MIN_ICON_SIZE);
#line 587 "DockPreferences.c"
				} else {
					gint _tmp5_;
#line 167 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp5_ = self->priv->_IconSize;
#line 167 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					if (_tmp5_ > PLANK_DOCK_PREFERENCES_MAX_ICON_SIZE) {
#line 168 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						plank_dock_preferences_set_IconSize (self, PLANK_DOCK_PREFERENCES_MAX_ICON_SIZE);
#line 596 "DockPreferences.c"
					}
				}
#line 169 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 601 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("HideMode")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 607 "DockPreferences.c"
			default:
			{
#line 172 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 612 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("UnhideDelay")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 618 "DockPreferences.c"
			default:
			{
#line 175 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 623 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("Monitor")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 629 "DockPreferences.c"
			default:
			{
				gint _tmp6_;
#line 178 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				_tmp6_ = self->priv->_Monitor;
#line 178 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				if (_tmp6_ < (-1)) {
#line 179 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					plank_dock_preferences_set_Monitor (self, -1);
#line 639 "DockPreferences.c"
				} else {
					gboolean _tmp7_ = FALSE;
					gint _tmp8_;
					gboolean _tmp12_;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp8_ = self->priv->_Monitor;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					if (_tmp8_ != (-1)) {
#line 648 "DockPreferences.c"
						gint _tmp9_;
						GdkScreen* _tmp10_ = NULL;
						gint _tmp11_ = 0;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp9_ = self->priv->_Monitor;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp10_ = gdk_screen_get_default ();
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp11_ = gdk_screen_get_n_monitors (_tmp10_);
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp7_ = _tmp9_ >= _tmp11_;
#line 660 "DockPreferences.c"
					} else {
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp7_ = FALSE;
#line 664 "DockPreferences.c"
					}
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp12_ = _tmp7_;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					if (_tmp12_) {
#line 670 "DockPreferences.c"
						GdkScreen* _tmp13_ = NULL;
						gint _tmp14_ = 0;
#line 181 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp13_ = gdk_screen_get_default ();
#line 181 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp14_ = gdk_screen_get_primary_monitor (_tmp13_);
#line 181 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						plank_dock_preferences_set_Monitor (self, _tmp14_);
#line 679 "DockPreferences.c"
					}
				}
#line 182 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 684 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("DockItems")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 690 "DockPreferences.c"
			default:
			{
#line 185 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 695 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("Position")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 701 "DockPreferences.c"
			default:
			{
#line 188 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 706 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("Offset")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 712 "DockPreferences.c"
			default:
			{
				gint _tmp15_;
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				_tmp15_ = self->priv->_Offset;
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				if (_tmp15_ < (-100)) {
#line 192 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					plank_dock_preferences_set_Offset (self, -100);
#line 722 "DockPreferences.c"
				} else {
					gint _tmp16_;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp16_ = self->priv->_Offset;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					if (_tmp16_ > 100) {
#line 194 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						plank_dock_preferences_set_Offset (self, 100);
#line 731 "DockPreferences.c"
					}
				}
#line 195 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 736 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("Theme")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 742 "DockPreferences.c"
			default:
			{
				const gchar* _tmp17_;
#line 198 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				_tmp17_ = self->priv->_Theme;
#line 198 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				if (g_strcmp0 (_tmp17_, "") == 0) {
#line 199 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					plank_dock_preferences_set_Theme (self, PLANK_DRAWING_THEME_DEFAULT_NAME);
#line 752 "DockPreferences.c"
				} else {
					const gchar* _tmp18_;
					gboolean _tmp19_ = FALSE;
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp18_ = self->priv->_Theme;
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					_tmp19_ = string_contains (_tmp18_, "/");
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
					if (_tmp19_) {
#line 762 "DockPreferences.c"
						const gchar* _tmp20_;
						gchar* _tmp21_ = NULL;
						gchar* _tmp22_;
#line 201 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp20_ = self->priv->_Theme;
#line 201 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp21_ = string_replace (_tmp20_, "/", "");
#line 201 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_tmp22_ = _tmp21_;
#line 201 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						plank_dock_preferences_set_Theme (self, _tmp22_);
#line 201 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
						_g_free0 (_tmp22_);
#line 776 "DockPreferences.c"
					}
				}
#line 202 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 781 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("Alignment")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 787 "DockPreferences.c"
			default:
			{
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 792 "DockPreferences.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("ItemsAlignment")))) {
#line 160 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		switch (0) {
#line 798 "DockPreferences.c"
			default:
			{
#line 208 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
				break;
#line 803 "DockPreferences.c"
			}
		}
	}
}


gboolean plank_dock_preferences_get_CurrentWorkspaceOnly (PlankDockPreferences* self) {
	gboolean result;
	gboolean _tmp0_;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_CurrentWorkspaceOnly;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 821 "DockPreferences.c"
}


void plank_dock_preferences_set_CurrentWorkspaceOnly (PlankDockPreferences* self, gboolean value) {
	gboolean _tmp0_;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_CurrentWorkspaceOnly = _tmp0_;
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "CurrentWorkspaceOnly");
#line 835 "DockPreferences.c"
}


gint plank_dock_preferences_get_IconSize (PlankDockPreferences* self) {
	gint result;
	gint _tmp0_;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_IconSize;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 850 "DockPreferences.c"
}


void plank_dock_preferences_set_IconSize (PlankDockPreferences* self, gint value) {
	gint _tmp0_;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_IconSize = _tmp0_;
#line 38 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "IconSize");
#line 864 "DockPreferences.c"
}


PlankHideType plank_dock_preferences_get_HideMode (PlankDockPreferences* self) {
	PlankHideType result;
	PlankHideType _tmp0_;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_HideMode;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 879 "DockPreferences.c"
}


void plank_dock_preferences_set_HideMode (PlankDockPreferences* self, PlankHideType value) {
	PlankHideType _tmp0_;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_HideMode = _tmp0_;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "HideMode");
#line 893 "DockPreferences.c"
}


guint plank_dock_preferences_get_UnhideDelay (PlankDockPreferences* self) {
	guint result;
	guint _tmp0_;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_UnhideDelay;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 908 "DockPreferences.c"
}


void plank_dock_preferences_set_UnhideDelay (PlankDockPreferences* self, guint value) {
	guint _tmp0_;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_UnhideDelay = _tmp0_;
#line 44 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "UnhideDelay");
#line 922 "DockPreferences.c"
}


gint plank_dock_preferences_get_Monitor (PlankDockPreferences* self) {
	gint result;
	gint _tmp0_;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Monitor;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 937 "DockPreferences.c"
}


void plank_dock_preferences_set_Monitor (PlankDockPreferences* self, gint value) {
	gint _tmp0_;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_Monitor = _tmp0_;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "Monitor");
#line 951 "DockPreferences.c"
}


const gchar* plank_dock_preferences_get_DockItems (PlankDockPreferences* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_DockItems;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 966 "DockPreferences.c"
}


void plank_dock_preferences_set_DockItems (PlankDockPreferences* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_g_free0 (self->priv->_DockItems);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_DockItems = _tmp1_;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "DockItems");
#line 985 "DockPreferences.c"
}


GtkPositionType plank_dock_preferences_get_Position (PlankDockPreferences* self) {
	GtkPositionType result;
	GtkPositionType _tmp0_;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Position;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 1000 "DockPreferences.c"
}


void plank_dock_preferences_set_Position (PlankDockPreferences* self, GtkPositionType value) {
	GtkPositionType _tmp0_;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_Position = _tmp0_;
#line 53 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "Position");
#line 1014 "DockPreferences.c"
}


gint plank_dock_preferences_get_Offset (PlankDockPreferences* self) {
	gint result;
	gint _tmp0_;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Offset;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 1029 "DockPreferences.c"
}


void plank_dock_preferences_set_Offset (PlankDockPreferences* self, gint value) {
	gint _tmp0_;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_Offset = _tmp0_;
#line 56 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "Offset");
#line 1043 "DockPreferences.c"
}


const gchar* plank_dock_preferences_get_Theme (PlankDockPreferences* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Theme;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 1058 "DockPreferences.c"
}


void plank_dock_preferences_set_Theme (PlankDockPreferences* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_g_free0 (self->priv->_Theme);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_Theme = _tmp1_;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "Theme");
#line 1077 "DockPreferences.c"
}


GtkAlign plank_dock_preferences_get_Alignment (PlankDockPreferences* self) {
	GtkAlign result;
	GtkAlign _tmp0_;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_Alignment;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 1092 "DockPreferences.c"
}


void plank_dock_preferences_set_Alignment (PlankDockPreferences* self, GtkAlign value) {
	GtkAlign _tmp0_;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_Alignment = _tmp0_;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "Alignment");
#line 1106 "DockPreferences.c"
}


GtkAlign plank_dock_preferences_get_ItemsAlignment (PlankDockPreferences* self) {
	GtkAlign result;
	GtkAlign _tmp0_;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = self->priv->_ItemsAlignment;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	result = _tmp0_;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	return result;
#line 1121 "DockPreferences.c"
}


void plank_dock_preferences_set_ItemsAlignment (PlankDockPreferences* self, GtkAlign value) {
	GtkAlign _tmp0_;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_return_if_fail (self != NULL);
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = value;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv->_ItemsAlignment = _tmp0_;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_notify ((GObject *) self, "ItemsAlignment");
#line 1135 "DockPreferences.c"
}


static void plank_dock_preferences_class_init (PlankDockPreferencesClass * klass) {
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	plank_dock_preferences_parent_class = g_type_class_peek_parent (klass);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_type_class_add_private (klass, sizeof (PlankDockPreferencesPrivate));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	PLANK_SERVICES_PREFERENCES_CLASS (klass)->reset_properties = plank_dock_preferences_real_reset_properties;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	PLANK_SERVICES_PREFERENCES_CLASS (klass)->verify = plank_dock_preferences_real_verify;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_plank_dock_preferences_get_property;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_plank_dock_preferences_set_property;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	G_OBJECT_CLASS (klass)->finalize = plank_dock_preferences_finalize;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_CURRENT_WORKSPACE_ONLY, g_param_spec_boolean ("CurrentWorkspaceOnly", "current-workspace-only", "Whether to show only windows of the current workspace.", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_ICON_SIZE, g_param_spec_int ("IconSize", "icon-size", "The size of dock icons (in pixels).", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_HIDE_MODE, g_param_spec_enum ("HideMode", "hide-mode", "If 0, the dock won't hide.  If 1, the dock intelligently hides.  If 2, the dock auto-hides.", PLANK_TYPE_HIDE_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_UNHIDE_DELAY, g_param_spec_uint ("UnhideDelay", "unhide-delay", "Time (in ms) to wait before unhiding the dock.", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_MONITOR, g_param_spec_int ("Monitor", "monitor", "The monitor number for the dock. Use -1 to keep on the primary monitor.", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_DOCK_ITEMS, g_param_spec_string ("DockItems", "dock-items", "List of *.dockitem files on this dock. DO NOT MODIFY", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_POSITION, g_param_spec_enum ("Position", "position", "The position for the dock on the monitor.", GTK_TYPE_POSITION_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_OFFSET, g_param_spec_int ("Offset", "offset", "The dock's position offset from center (in percent).", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_THEME, g_param_spec_string ("Theme", "theme", "The name of the dock's theme to use.", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_ALIGNMENT, g_param_spec_enum ("Alignment", "alignment", "The alignment for the dock on the monitor's edge.", GTK_TYPE_ALIGN, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PLANK_DOCK_PREFERENCES_ITEMS_ALIGNMENT, g_param_spec_enum ("ItemsAlignment", "items-alignment", "The alignment of the items in this dock.", GTK_TYPE_ALIGN, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1176 "DockPreferences.c"
}


static void plank_dock_preferences_instance_init (PlankDockPreferences * self) {
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self->priv = PLANK_DOCK_PREFERENCES_GET_PRIVATE (self);
#line 1183 "DockPreferences.c"
}


static void plank_dock_preferences_finalize (GObject* obj) {
	PlankDockPreferences * self;
	GdkScreen* _tmp0_ = NULL;
	guint _tmp1_ = 0U;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferences);
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_tmp0_ = gdk_screen_get_default ();
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_signal_parse_name ("monitors-changed", GDK_TYPE_SCREEN, &_tmp1_, NULL, FALSE);
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	g_signal_handlers_disconnect_matched (_tmp0_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp1_, 0, NULL, (GCallback) _plank_dock_preferences_monitors_changed_gdk_screen_monitors_changed, self);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_g_free0 (self->priv->_DockItems);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	_g_free0 (self->priv->_Theme);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	G_OBJECT_CLASS (plank_dock_preferences_parent_class)->finalize (obj);
#line 1205 "DockPreferences.c"
}


/**
 * Contains all preferences for docks.
 */
GType plank_dock_preferences_get_type (void) {
	static volatile gsize plank_dock_preferences_type_id__volatile = 0;
	if (g_once_init_enter (&plank_dock_preferences_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PlankDockPreferencesClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) plank_dock_preferences_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PlankDockPreferences), 0, (GInstanceInitFunc) plank_dock_preferences_instance_init, NULL };
		GType plank_dock_preferences_type_id;
		plank_dock_preferences_type_id = g_type_register_static (PLANK_SERVICES_TYPE_PREFERENCES, "PlankDockPreferences", &g_define_type_info, 0);
		g_once_init_leave (&plank_dock_preferences_type_id__volatile, plank_dock_preferences_type_id);
	}
	return plank_dock_preferences_type_id__volatile;
}


static void _vala_plank_dock_preferences_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	PlankDockPreferences * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferences);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	switch (property_id) {
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_CURRENT_WORKSPACE_ONLY:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_boolean (value, plank_dock_preferences_get_CurrentWorkspaceOnly (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ICON_SIZE:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_int (value, plank_dock_preferences_get_IconSize (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_HIDE_MODE:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_enum (value, plank_dock_preferences_get_HideMode (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_UNHIDE_DELAY:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_uint (value, plank_dock_preferences_get_UnhideDelay (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_MONITOR:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_int (value, plank_dock_preferences_get_Monitor (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_DOCK_ITEMS:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_string (value, plank_dock_preferences_get_DockItems (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_POSITION:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_enum (value, plank_dock_preferences_get_Position (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_OFFSET:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_int (value, plank_dock_preferences_get_Offset (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_THEME:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_string (value, plank_dock_preferences_get_Theme (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ALIGNMENT:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_enum (value, plank_dock_preferences_get_Alignment (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ITEMS_ALIGNMENT:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		g_value_set_enum (value, plank_dock_preferences_get_ItemsAlignment (self));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 1295 "DockPreferences.c"
		default:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 1301 "DockPreferences.c"
	}
}


static void _vala_plank_dock_preferences_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	PlankDockPreferences * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PLANK_TYPE_DOCK_PREFERENCES, PlankDockPreferences);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
	switch (property_id) {
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_CURRENT_WORKSPACE_ONLY:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_CurrentWorkspaceOnly (self, g_value_get_boolean (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ICON_SIZE:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_IconSize (self, g_value_get_int (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_HIDE_MODE:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_HideMode (self, g_value_get_enum (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_UNHIDE_DELAY:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_UnhideDelay (self, g_value_get_uint (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_MONITOR:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_Monitor (self, g_value_get_int (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_DOCK_ITEMS:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_DockItems (self, g_value_get_string (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_POSITION:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_Position (self, g_value_get_enum (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_OFFSET:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_Offset (self, g_value_get_int (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_THEME:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_Theme (self, g_value_get_string (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ALIGNMENT:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_Alignment (self, g_value_get_enum (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		case PLANK_DOCK_PREFERENCES_ITEMS_ALIGNMENT:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		plank_dock_preferences_set_ItemsAlignment (self, g_value_get_enum (value));
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 1377 "DockPreferences.c"
		default:
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/DockPreferences.vala"
		break;
#line 1383 "DockPreferences.c"
	}
}



