/* AnimatedRenderer.c generated by valac 0.18.1, the Vala compiler
 * generated from AnimatedRenderer.vala, do not modify */

/*  */
/*  Copyright (C) 2011 Robert Dyer*/
/* */
/*  This program is free software: you can redistribute it and/or modify*/
/*  it under the terms of the GNU General Public License as published by*/
/*  the Free Software Foundation, either version 3 of the License, or*/
/*  (at your option) any later version.*/
/* */
/*  This program is distributed in the hope that it will be useful,*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*  GNU General Public License for more details.*/
/* */
/*  You should have received a copy of the GNU General Public License*/
/*  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
/* */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>


#define PLANK_DRAWING_TYPE_ANIMATED_RENDERER (plank_drawing_animated_renderer_get_type ())
#define PLANK_DRAWING_ANIMATED_RENDERER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PLANK_DRAWING_TYPE_ANIMATED_RENDERER, PlankDrawingAnimatedRenderer))
#define PLANK_DRAWING_ANIMATED_RENDERER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PLANK_DRAWING_TYPE_ANIMATED_RENDERER, PlankDrawingAnimatedRendererClass))
#define PLANK_DRAWING_IS_ANIMATED_RENDERER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLANK_DRAWING_TYPE_ANIMATED_RENDERER))
#define PLANK_DRAWING_IS_ANIMATED_RENDERER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PLANK_DRAWING_TYPE_ANIMATED_RENDERER))
#define PLANK_DRAWING_ANIMATED_RENDERER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PLANK_DRAWING_TYPE_ANIMATED_RENDERER, PlankDrawingAnimatedRendererClass))

typedef struct _PlankDrawingAnimatedRenderer PlankDrawingAnimatedRenderer;
typedef struct _PlankDrawingAnimatedRendererClass PlankDrawingAnimatedRendererClass;
typedef struct _PlankDrawingAnimatedRendererPrivate PlankDrawingAnimatedRendererPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))

struct _PlankDrawingAnimatedRenderer {
	GObject parent_instance;
	PlankDrawingAnimatedRendererPrivate * priv;
};

struct _PlankDrawingAnimatedRendererClass {
	GObjectClass parent_class;
	gboolean (*animation_needed) (PlankDrawingAnimatedRenderer* self, GDateTime* render_time);
};

struct _PlankDrawingAnimatedRendererPrivate {
	GtkWidget* widget;
	guint animation_timer;
};


static gpointer plank_drawing_animated_renderer_parent_class = NULL;

GType plank_drawing_animated_renderer_get_type (void) G_GNUC_CONST;
#define PLANK_DRAWING_ANIMATED_RENDERER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PLANK_DRAWING_TYPE_ANIMATED_RENDERER, PlankDrawingAnimatedRendererPrivate))
enum  {
	PLANK_DRAWING_ANIMATED_RENDERER_DUMMY_PROPERTY
};
#define PLANK_DRAWING_ANIMATED_RENDERER_FPS ((guint) 60)
PlankDrawingAnimatedRenderer* plank_drawing_animated_renderer_construct (GType object_type);
PlankDrawingAnimatedRenderer* plank_drawing_animated_renderer_construct_with_widget (GType object_type, GtkWidget* widget);
void plank_drawing_animated_renderer_set_widget (PlankDrawingAnimatedRenderer* self, GtkWidget* widget);
gboolean plank_drawing_animated_renderer_animation_needed (PlankDrawingAnimatedRenderer* self, GDateTime* render_time);
static gboolean plank_drawing_animated_renderer_real_animation_needed (PlankDrawingAnimatedRenderer* self, GDateTime* render_time);
void plank_drawing_animated_renderer_animated_draw (PlankDrawingAnimatedRenderer* self);
static gboolean plank_drawing_animated_renderer_draw_timeout (PlankDrawingAnimatedRenderer* self);
static gboolean _plank_drawing_animated_renderer_draw_timeout_gsource_func (gpointer self);
static void plank_drawing_animated_renderer_finalize (GObject* obj);


/**
 * Creates a new animation renderer. Must call set_widget() later.
 */
PlankDrawingAnimatedRenderer* plank_drawing_animated_renderer_construct (GType object_type) {
	PlankDrawingAnimatedRenderer * self = NULL;
#line 40 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self = (PlankDrawingAnimatedRenderer*) g_object_new (object_type, NULL);
#line 40 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return self;
#line 84 "AnimatedRenderer.c"
}


/**
 * Creates a new animation renderer for a widget.
 *
 * @param widget the widget to handle animations for
 */
PlankDrawingAnimatedRenderer* plank_drawing_animated_renderer_construct_with_widget (GType object_type, GtkWidget* widget) {
	PlankDrawingAnimatedRenderer * self = NULL;
	GtkWidget* _tmp0_;
#line 57 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_val_if_fail (widget != NULL, NULL);
#line 57 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self = (PlankDrawingAnimatedRenderer*) g_object_new (object_type, NULL);
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp0_ = widget;
#line 59 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	plank_drawing_animated_renderer_set_widget (self, _tmp0_);
#line 57 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return self;
#line 106 "AnimatedRenderer.c"
}


/**
 * Sets the widget to handle animations for.
 *
 * @param widget the widget to handle animations for
 */
static gpointer _g_object_ref0 (gpointer self) {
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return self ? g_object_ref (self) : NULL;
#line 118 "AnimatedRenderer.c"
}


void plank_drawing_animated_renderer_set_widget (PlankDrawingAnimatedRenderer* self, GtkWidget* widget) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
#line 67 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_if_fail (self != NULL);
#line 67 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp0_ = widget;
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_g_object_unref0 (self->priv->widget);
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self->priv->widget = _tmp1_;
#line 137 "AnimatedRenderer.c"
}


/**
 * Determines if animation should continue.
 *
 * @param render_time the current time for this frame's render
 * @return if another animation frame is needed
 */
static gboolean plank_drawing_animated_renderer_real_animation_needed (PlankDrawingAnimatedRenderer* self, GDateTime* render_time) {
#line 78 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_critical ("Type `%s' does not implement abstract method `plank_drawing_animated_renderer_animation_needed'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 78 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return FALSE;
#line 152 "AnimatedRenderer.c"
}


gboolean plank_drawing_animated_renderer_animation_needed (PlankDrawingAnimatedRenderer* self, GDateTime* render_time) {
#line 78 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 78 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return PLANK_DRAWING_ANIMATED_RENDERER_GET_CLASS (self)->animation_needed (self, render_time);
#line 161 "AnimatedRenderer.c"
}


/**
 * Request re-drawing.
 */
static gboolean _plank_drawing_animated_renderer_draw_timeout_gsource_func (gpointer self) {
	gboolean result;
	result = plank_drawing_animated_renderer_draw_timeout (self);
#line 91 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return result;
#line 173 "AnimatedRenderer.c"
}


void plank_drawing_animated_renderer_animated_draw (PlankDrawingAnimatedRenderer* self) {
	guint _tmp0_;
	GtkWidget* _tmp1_;
	GDateTime* _tmp2_;
	GDateTime* _tmp3_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_;
#line 83 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_if_fail (self != NULL);
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp0_ = self->priv->animation_timer;
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	if (_tmp0_ > ((guint) 0)) {
#line 86 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		return;
#line 192 "AnimatedRenderer.c"
	}
#line 88 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp1_ = self->priv->widget;
#line 88 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	gtk_widget_queue_draw (_tmp1_);
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp2_ = g_date_time_new_now_utc ();
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp3_ = _tmp2_;
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp4_ = plank_drawing_animated_renderer_animation_needed (self, _tmp3_);
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp5_ = _tmp4_;
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_g_date_time_unref0 (_tmp3_);
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	if (_tmp5_) {
#line 210 "AnimatedRenderer.c"
		guint _tmp6_ = 0U;
#line 91 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		_tmp6_ = g_timeout_add_full (G_PRIORITY_DEFAULT, 1000 / PLANK_DRAWING_ANIMATED_RENDERER_FPS, _plank_drawing_animated_renderer_draw_timeout_gsource_func, g_object_ref (self), g_object_unref);
#line 91 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		self->priv->animation_timer = _tmp6_;
#line 216 "AnimatedRenderer.c"
	}
}


static gboolean plank_drawing_animated_renderer_draw_timeout (PlankDrawingAnimatedRenderer* self) {
	gboolean result = FALSE;
	GtkWidget* _tmp0_;
	GDateTime* _tmp1_;
	GDateTime* _tmp2_;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_;
	guint _tmp5_;
	GtkWidget* _tmp7_;
#line 94 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 96 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp0_ = self->priv->widget;
#line 96 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	gtk_widget_queue_draw (_tmp0_);
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp1_ = g_date_time_new_now_utc ();
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp2_ = _tmp1_;
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp3_ = plank_drawing_animated_renderer_animation_needed (self, _tmp2_);
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp4_ = _tmp3_;
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_g_date_time_unref0 (_tmp2_);
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	if (_tmp4_) {
#line 99 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		result = TRUE;
#line 99 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		return result;
#line 252 "AnimatedRenderer.c"
	}
#line 101 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp5_ = self->priv->animation_timer;
#line 101 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	if (_tmp5_ > ((guint) 0)) {
#line 258 "AnimatedRenderer.c"
		guint _tmp6_;
#line 102 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		_tmp6_ = self->priv->animation_timer;
#line 102 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		g_source_remove (_tmp6_);
#line 103 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		self->priv->animation_timer = (guint) 0;
#line 266 "AnimatedRenderer.c"
	}
#line 107 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp7_ = self->priv->widget;
#line 107 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	gtk_widget_queue_draw (_tmp7_);
#line 108 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	result = FALSE;
#line 108 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	return result;
#line 276 "AnimatedRenderer.c"
}


static void plank_drawing_animated_renderer_class_init (PlankDrawingAnimatedRendererClass * klass) {
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	plank_drawing_animated_renderer_parent_class = g_type_class_peek_parent (klass);
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	g_type_class_add_private (klass, sizeof (PlankDrawingAnimatedRendererPrivate));
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	PLANK_DRAWING_ANIMATED_RENDERER_CLASS (klass)->animation_needed = plank_drawing_animated_renderer_real_animation_needed;
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	G_OBJECT_CLASS (klass)->finalize = plank_drawing_animated_renderer_finalize;
#line 289 "AnimatedRenderer.c"
}


static void plank_drawing_animated_renderer_instance_init (PlankDrawingAnimatedRenderer * self) {
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self->priv = PLANK_DRAWING_ANIMATED_RENDERER_GET_PRIVATE (self);
#line 35 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self->priv->animation_timer = (guint) 0;
#line 298 "AnimatedRenderer.c"
}


static void plank_drawing_animated_renderer_finalize (GObject* obj) {
	PlankDrawingAnimatedRenderer * self;
	guint _tmp0_;
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PLANK_DRAWING_TYPE_ANIMATED_RENDERER, PlankDrawingAnimatedRenderer);
#line 46 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_tmp0_ = self->priv->animation_timer;
#line 46 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	if (_tmp0_ > ((guint) 0)) {
#line 311 "AnimatedRenderer.c"
		guint _tmp1_;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		_tmp1_ = self->priv->animation_timer;
#line 47 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		g_source_remove (_tmp1_);
#line 48 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
		self->priv->animation_timer = (guint) 0;
#line 319 "AnimatedRenderer.c"
	}
#line 33 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	_g_object_unref0 (self->priv->widget);
#line 26 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Drawing/AnimatedRenderer.vala"
	G_OBJECT_CLASS (plank_drawing_animated_renderer_parent_class)->finalize (obj);
#line 325 "AnimatedRenderer.c"
}


/**
 * Handles animated rendering.  Uses a timer and continues requesting
 * redraws for a widget until no more animation is needed.
 */
GType plank_drawing_animated_renderer_get_type (void) {
	static volatile gsize plank_drawing_animated_renderer_type_id__volatile = 0;
	if (g_once_init_enter (&plank_drawing_animated_renderer_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PlankDrawingAnimatedRendererClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) plank_drawing_animated_renderer_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PlankDrawingAnimatedRenderer), 0, (GInstanceInitFunc) plank_drawing_animated_renderer_instance_init, NULL };
		GType plank_drawing_animated_renderer_type_id;
		plank_drawing_animated_renderer_type_id = g_type_register_static (G_TYPE_OBJECT, "PlankDrawingAnimatedRenderer", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&plank_drawing_animated_renderer_type_id__volatile, plank_drawing_animated_renderer_type_id);
	}
	return plank_drawing_animated_renderer_type_id__volatile;
}



