/* WindowControl.c generated by valac 0.18.1, the Vala compiler
 * generated from WindowControl.vala, do not modify */

/*  */
/*  Copyright (C) 2011-2012 Robert Dyer, Rico Tzschichholz*/
/* */
/*  This program is free software: you can redistribute it and/or modify*/
/*  it under the terms of the GNU General Public License as published by*/
/*  the Free Software Foundation, either version 3 of the License, or*/
/*  (at your option) any later version.*/
/* */
/*  This program is distributed in the hope that it will be useful,*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*  GNU General Public License for more details.*/
/* */
/*  You should have received a copy of the GNU General Public License*/
/*  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
/* */

#include <glib.h>
#include <glib-object.h>
#include <libwnck/libwnck.h>
#include <libbamf/libbamf.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gee.h>
#include <gdk/gdk.h>
#include <cairo.h>
#include <gtk/gtk.h>
#include <string.h>


#define PLANK_SERVICES_WINDOWS_TYPE_STRUTS (plank_services_windows_struts_get_type ())

#define PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL (plank_services_windows_window_control_get_type ())
#define PLANK_SERVICES_WINDOWS_WINDOW_CONTROL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL, PlankServicesWindowsWindowControl))
#define PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL, PlankServicesWindowsWindowControlClass))
#define PLANK_SERVICES_WINDOWS_IS_WINDOW_CONTROL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL))
#define PLANK_SERVICES_WINDOWS_IS_WINDOW_CONTROL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL))
#define PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL, PlankServicesWindowsWindowControlClass))

typedef struct _PlankServicesWindowsWindowControl PlankServicesWindowsWindowControl;
typedef struct _PlankServicesWindowsWindowControlClass PlankServicesWindowsWindowControlClass;
typedef struct _PlankServicesWindowsWindowControlPrivate PlankServicesWindowsWindowControlPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_array_unref0(var) ((var == NULL) ? NULL : (var = (g_array_unref (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
typedef struct _Block6Data Block6Data;

typedef enum  {
	PLANK_SERVICES_WINDOWS_STRUTS_LEFT,
	PLANK_SERVICES_WINDOWS_STRUTS_RIGHT,
	PLANK_SERVICES_WINDOWS_STRUTS_TOP,
	PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM,
	PLANK_SERVICES_WINDOWS_STRUTS_LEFT_START,
	PLANK_SERVICES_WINDOWS_STRUTS_LEFT_END,
	PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_START,
	PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_END,
	PLANK_SERVICES_WINDOWS_STRUTS_TOP_START,
	PLANK_SERVICES_WINDOWS_STRUTS_TOP_END,
	PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_START,
	PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_END,
	PLANK_SERVICES_WINDOWS_STRUTS_N_VALUES
} PlankServicesWindowsStruts;

struct _PlankServicesWindowsWindowControl {
	GObject parent_instance;
	PlankServicesWindowsWindowControlPrivate * priv;
};

struct _PlankServicesWindowsWindowControlClass {
	GObjectClass parent_class;
};

struct _Block6Data {
	int _ref_count_;
	guint32 time;
	WnckWindow* targetWindow;
};


static gpointer plank_services_windows_window_control_parent_class = NULL;

GType plank_services_windows_struts_get_type (void) G_GNUC_CONST;
GType plank_services_windows_window_control_get_type (void) G_GNUC_CONST;
enum  {
	PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_DUMMY_PROPERTY
};
#define PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY ((guint) 10000)
#define PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_VIEWPORT_CHANGE_DELAY ((guint) 200)
void plank_services_windows_window_control_initialize (void);
static void plank_services_windows_window_control_window_manager_changed (WnckScreen* screen);
static void _plank_services_windows_window_control_window_manager_changed_wnck_screen_window_manager_changed (WnckScreen* _sender, gpointer self);
GdkPixbuf* plank_services_windows_window_control_get_app_icon (BamfApplication* app);
GdkPixbuf* plank_services_windows_window_control_get_window_icon (BamfWindow* window);
guint plank_services_windows_window_control_get_num_windows (BamfApplication* app);
gboolean plank_services_windows_window_control_has_maximized_window (BamfApplication* app);
gboolean plank_services_windows_window_control_has_minimized_window (BamfApplication* app);
gboolean plank_services_windows_window_control_has_window_on_workspace (BamfApplication* app, WnckWorkspace* workspace);
GeeArrayList* plank_services_windows_window_control_get_windows (BamfApplication* app);
void plank_services_windows_window_control_update_icon_regions (BamfApplication* app, GdkRectangle* rect);
void plank_services_windows_window_control_close_all (BamfApplication* app);
void plank_services_windows_window_control_focus_window (BamfWindow* window);
static void plank_services_windows_window_control_center_and_focus_window (WnckWindow* w);
void plank_services_windows_window_control_focus_window_by_xid (guint32 xid);
void plank_services_windows_window_control_focus (BamfApplication* app);
GeeArrayList* plank_services_windows_window_control_get_ordered_window_stack (BamfApplication* app);
static gint plank_services_windows_window_control_find_active_xid_index (GArray* xids);
void plank_services_windows_window_control_focus_previous (BamfApplication* app);
void plank_services_windows_window_control_focus_next (BamfApplication* app);
void plank_services_windows_window_control_minimize (BamfApplication* app);
void plank_services_windows_window_control_restore (BamfApplication* app);
void plank_services_windows_window_control_maximize (BamfApplication* app);
void plank_services_windows_window_control_unmaximize (BamfApplication* app);
void plank_services_windows_window_control_smart_focus (BamfApplication* app);
static void plank_services_windows_window_control_intelligent_focus_off_viewport_window (WnckWindow* targetWindow, GeeArrayList* additional_windows);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static gboolean plank_services_windows_window_control_windows_share_viewport (WnckWindow* first, WnckWindow* second);
static gboolean __lambda6_ (Block6Data* _data6_);
static gboolean ___lambda6__gsource_func (gpointer self);
void plank_services_windows_window_control_get_easy_geometry (WnckWindow* w, GdkRectangle* result);
PlankServicesWindowsWindowControl* plank_services_windows_window_control_new (void);
PlankServicesWindowsWindowControl* plank_services_windows_window_control_construct (GType object_type);


GType plank_services_windows_struts_get_type (void) {
	static volatile gsize plank_services_windows_struts_type_id__volatile = 0;
	if (g_once_init_enter (&plank_services_windows_struts_type_id__volatile)) {
		static const GEnumValue values[] = {{PLANK_SERVICES_WINDOWS_STRUTS_LEFT, "PLANK_SERVICES_WINDOWS_STRUTS_LEFT", "left"}, {PLANK_SERVICES_WINDOWS_STRUTS_RIGHT, "PLANK_SERVICES_WINDOWS_STRUTS_RIGHT", "right"}, {PLANK_SERVICES_WINDOWS_STRUTS_TOP, "PLANK_SERVICES_WINDOWS_STRUTS_TOP", "top"}, {PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM, "PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM", "bottom"}, {PLANK_SERVICES_WINDOWS_STRUTS_LEFT_START, "PLANK_SERVICES_WINDOWS_STRUTS_LEFT_START", "left-start"}, {PLANK_SERVICES_WINDOWS_STRUTS_LEFT_END, "PLANK_SERVICES_WINDOWS_STRUTS_LEFT_END", "left-end"}, {PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_START, "PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_START", "right-start"}, {PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_END, "PLANK_SERVICES_WINDOWS_STRUTS_RIGHT_END", "right-end"}, {PLANK_SERVICES_WINDOWS_STRUTS_TOP_START, "PLANK_SERVICES_WINDOWS_STRUTS_TOP_START", "top-start"}, {PLANK_SERVICES_WINDOWS_STRUTS_TOP_END, "PLANK_SERVICES_WINDOWS_STRUTS_TOP_END", "top-end"}, {PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_START, "PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_START", "bottom-start"}, {PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_END, "PLANK_SERVICES_WINDOWS_STRUTS_BOTTOM_END", "bottom-end"}, {PLANK_SERVICES_WINDOWS_STRUTS_N_VALUES, "PLANK_SERVICES_WINDOWS_STRUTS_N_VALUES", "n-values"}, {0, NULL, NULL}};
		GType plank_services_windows_struts_type_id;
		plank_services_windows_struts_type_id = g_enum_register_static ("PlankServicesWindowsStruts", values);
		g_once_init_leave (&plank_services_windows_struts_type_id__volatile, plank_services_windows_struts_type_id);
	}
	return plank_services_windows_struts_type_id__volatile;
}


static gpointer _g_object_ref0 (gpointer self) {
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return self ? g_object_ref (self) : NULL;
#line 143 "WindowControl.c"
}


static void _plank_services_windows_window_control_window_manager_changed_wnck_screen_window_manager_changed (WnckScreen* _sender, gpointer self) {
#line 55 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_window_manager_changed (_sender);
#line 150 "WindowControl.c"
}


void plank_services_windows_window_control_initialize (void) {
	WnckScreen* _tmp0_ = NULL;
	WnckScreen* _tmp1_;
	WnckScreen* screen;
	const gchar* _tmp2_ = NULL;
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = wnck_screen_get_default ();
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 50 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	screen = _tmp1_;
#line 52 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_set_client_type (WNCK_CLIENT_TYPE_PAGER);
#line 54 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_force_update (screen);
#line 55 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_signal_connect (screen, "window-manager-changed", (GCallback) _plank_services_windows_window_control_window_manager_changed_wnck_screen_window_manager_changed, NULL);
#line 57 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = wnck_screen_get_window_manager_name (screen);
#line 57 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_message ("WindowControl.vala:57: Window-manager: %s", _tmp2_);
#line 48 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (screen);
#line 177 "WindowControl.c"
}


static void plank_services_windows_window_control_window_manager_changed (WnckScreen* screen) {
	WnckScreen* _tmp0_;
	const gchar* _tmp1_ = NULL;
#line 60 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (screen != NULL);
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = screen;
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = wnck_screen_get_window_manager_name (_tmp0_);
#line 62 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warning ("WindowControl.vala:62: Window-manager changed: %s", _tmp1_);
#line 192 "WindowControl.c"
}


GdkPixbuf* plank_services_windows_window_control_get_app_icon (BamfApplication* app) {
	GdkPixbuf* result = NULL;
	GdkPixbuf* pbuf;
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
	GdkPixbuf* _tmp23_;
#line 65 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, NULL);
#line 67 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	pbuf = NULL;
#line 69 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 70 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 70 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 70 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 72 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 72 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 220 "WindowControl.c"
	{
		gint i;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 225 "WindowControl.c"
		{
			gboolean _tmp3_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp3_ = TRUE;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 232 "WindowControl.c"
				gboolean _tmp4_;
				gboolean _tmp6_ = FALSE;
				gboolean _tmp7_ = FALSE;
				GArray* _tmp8_;
				gboolean _tmp12_;
				gboolean _tmp14_;
				GArray* _tmp15_;
				gint _tmp16_;
				guint32 _tmp17_ = 0U;
				WnckWindow* _tmp18_ = NULL;
				WnckWindow* _tmp19_;
				WnckWindow* window;
				WnckWindow* _tmp20_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp4_ = _tmp3_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp4_) {
#line 250 "WindowControl.c"
					gint _tmp5_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp5_ = i;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp5_ + 1;
#line 256 "WindowControl.c"
				}
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp8_ = xids;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp8_ != NULL) {
#line 264 "WindowControl.c"
					gint _tmp9_;
					GArray* _tmp10_;
					guint _tmp11_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp9_ = i;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = xids;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp11_ = _tmp10_->len;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp7_ = ((guint) _tmp9_) < _tmp11_;
#line 276 "WindowControl.c"
				} else {
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp7_ = FALSE;
#line 280 "WindowControl.c"
				}
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp12_ = _tmp7_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp12_) {
#line 286 "WindowControl.c"
					GdkPixbuf* _tmp13_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp13_ = pbuf;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = _tmp13_ == NULL;
#line 292 "WindowControl.c"
				} else {
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = FALSE;
#line 296 "WindowControl.c"
				}
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = _tmp6_;
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp14_) {
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 304 "WindowControl.c"
				}
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = xids;
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = i;
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = g_array_index (_tmp15_, guint32, (guint) _tmp16_);
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = wnck_window_get ((gulong) _tmp17_);
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp19_ = _g_object_ref0 (_tmp18_);
#line 75 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp19_;
#line 76 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp20_ = window;
#line 76 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp20_ != NULL) {
#line 322 "WindowControl.c"
					WnckWindow* _tmp21_;
					GdkPixbuf* _tmp22_ = NULL;
#line 77 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp21_ = window;
#line 77 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp22_ = wnck_window_get_icon (_tmp21_);
#line 77 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					pbuf = _tmp22_;
#line 331 "WindowControl.c"
				}
#line 74 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 335 "WindowControl.c"
			}
		}
	}
#line 80 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp23_ = pbuf;
#line 80 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = _tmp23_;
#line 80 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 80 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 347 "WindowControl.c"
}


GdkPixbuf* plank_services_windows_window_control_get_window_icon (BamfWindow* window) {
	GdkPixbuf* result = NULL;
	BamfWindow* _tmp0_;
	guint32 _tmp1_ = 0U;
	WnckWindow* _tmp2_ = NULL;
	WnckWindow* _tmp3_;
	WnckWindow* w;
	WnckWindow* _tmp4_;
	WnckWindow* _tmp5_;
	WnckWindow* _tmp6_;
	GdkPixbuf* _tmp7_ = NULL;
#line 83 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (window != NULL, NULL);
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = window;
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_window_get_xid (_tmp0_);
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = wnck_window_get ((gulong) _tmp1_);
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 85 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	w = _tmp3_;
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = w;
#line 87 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp4_ != NULL);
#line 89 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = w;
#line 89 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp5_ == NULL) {
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = NULL;
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (w);
#line 90 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 388 "WindowControl.c"
	}
#line 92 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp6_ = w;
#line 92 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp7_ = wnck_window_get_icon (_tmp6_);
#line 92 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = _tmp7_;
#line 92 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (w);
#line 92 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 400 "WindowControl.c"
}


guint plank_services_windows_window_control_get_num_windows (BamfApplication* app) {
	guint result = 0U;
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
	GArray* _tmp3_;
	GArray* _tmp4_;
	guint _tmp5_;
#line 95 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, 0U);
#line 97 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 98 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 100 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 100 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 102 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = xids;
#line 102 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_ == NULL) {
#line 103 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = (guint) 0;
#line 103 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_array_unref0 (xids);
#line 103 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 437 "WindowControl.c"
	}
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = xids;
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = _tmp4_->len;
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = _tmp5_;
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 105 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 449 "WindowControl.c"
}


gboolean plank_services_windows_window_control_has_maximized_window (BamfApplication* app) {
	gboolean result = FALSE;
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
#line 108 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, FALSE);
#line 110 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 111 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 111 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 111 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 113 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 113 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 473 "WindowControl.c"
	{
		gint i;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 478 "WindowControl.c"
		{
			gboolean _tmp3_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp3_ = TRUE;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 485 "WindowControl.c"
				gboolean _tmp4_;
				gboolean _tmp6_ = FALSE;
				GArray* _tmp7_;
				gboolean _tmp11_;
				GArray* _tmp12_;
				gint _tmp13_;
				guint32 _tmp14_ = 0U;
				WnckWindow* _tmp15_ = NULL;
				WnckWindow* _tmp16_;
				WnckWindow* window;
				gboolean _tmp17_ = FALSE;
				WnckWindow* _tmp18_;
				gboolean _tmp21_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp4_ = _tmp3_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp4_) {
#line 503 "WindowControl.c"
					gint _tmp5_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp5_ = i;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp5_ + 1;
#line 509 "WindowControl.c"
				}
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp7_ = xids;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp7_ != NULL) {
#line 517 "WindowControl.c"
					gint _tmp8_;
					GArray* _tmp9_;
					guint _tmp10_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = i;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp9_ = xids;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = _tmp9_->len;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = ((guint) _tmp8_) < _tmp10_;
#line 529 "WindowControl.c"
				} else {
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = FALSE;
#line 533 "WindowControl.c"
				}
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = _tmp6_;
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp11_) {
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 541 "WindowControl.c"
				}
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp12_ = xids;
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = i;
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = g_array_index (_tmp12_, guint32, (guint) _tmp13_);
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = wnck_window_get ((gulong) _tmp14_);
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 116 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp16_;
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = window;
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp18_ != NULL) {
#line 559 "WindowControl.c"
					WnckWindow* _tmp19_;
					gboolean _tmp20_ = FALSE;
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp19_ = window;
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp20_ = wnck_window_is_maximized (_tmp19_);
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = _tmp20_;
#line 568 "WindowControl.c"
				} else {
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = FALSE;
#line 572 "WindowControl.c"
				}
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp21_ = _tmp17_;
#line 117 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp21_) {
#line 118 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					result = TRUE;
#line 118 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (window);
#line 118 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_array_unref0 (xids);
#line 118 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					return result;
#line 586 "WindowControl.c"
				}
#line 115 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 590 "WindowControl.c"
			}
		}
	}
#line 121 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = FALSE;
#line 121 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 121 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 600 "WindowControl.c"
}


gboolean plank_services_windows_window_control_has_minimized_window (BamfApplication* app) {
	gboolean result = FALSE;
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
#line 124 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, FALSE);
#line 126 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 127 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 127 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 127 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 129 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 129 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 624 "WindowControl.c"
	{
		gint i;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 629 "WindowControl.c"
		{
			gboolean _tmp3_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp3_ = TRUE;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 636 "WindowControl.c"
				gboolean _tmp4_;
				gboolean _tmp6_ = FALSE;
				GArray* _tmp7_;
				gboolean _tmp11_;
				GArray* _tmp12_;
				gint _tmp13_;
				guint32 _tmp14_ = 0U;
				WnckWindow* _tmp15_ = NULL;
				WnckWindow* _tmp16_;
				WnckWindow* window;
				gboolean _tmp17_ = FALSE;
				WnckWindow* _tmp18_;
				gboolean _tmp21_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp4_ = _tmp3_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp4_) {
#line 654 "WindowControl.c"
					gint _tmp5_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp5_ = i;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp5_ + 1;
#line 660 "WindowControl.c"
				}
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp7_ = xids;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp7_ != NULL) {
#line 668 "WindowControl.c"
					gint _tmp8_;
					GArray* _tmp9_;
					guint _tmp10_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = i;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp9_ = xids;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = _tmp9_->len;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = ((guint) _tmp8_) < _tmp10_;
#line 680 "WindowControl.c"
				} else {
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = FALSE;
#line 684 "WindowControl.c"
				}
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = _tmp6_;
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp11_) {
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 692 "WindowControl.c"
				}
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp12_ = xids;
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = i;
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = g_array_index (_tmp12_, guint32, (guint) _tmp13_);
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = wnck_window_get ((gulong) _tmp14_);
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 132 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp16_;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = window;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp18_ != NULL) {
#line 710 "WindowControl.c"
					WnckWindow* _tmp19_;
					gboolean _tmp20_ = FALSE;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp19_ = window;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp20_ = wnck_window_is_minimized (_tmp19_);
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = _tmp20_;
#line 719 "WindowControl.c"
				} else {
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = FALSE;
#line 723 "WindowControl.c"
				}
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp21_ = _tmp17_;
#line 133 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp21_) {
#line 134 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					result = TRUE;
#line 134 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (window);
#line 134 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_array_unref0 (xids);
#line 134 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					return result;
#line 737 "WindowControl.c"
				}
#line 131 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 741 "WindowControl.c"
			}
		}
	}
#line 137 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = FALSE;
#line 137 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 137 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 751 "WindowControl.c"
}


gboolean plank_services_windows_window_control_has_window_on_workspace (BamfApplication* app, WnckWorkspace* workspace) {
	gboolean result = FALSE;
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
	WnckWorkspace* _tmp3_;
	gboolean _tmp4_ = FALSE;
	gboolean is_virtual;
#line 140 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, FALSE);
#line 140 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (workspace != NULL, FALSE);
#line 142 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 143 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 143 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 143 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 145 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 145 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 147 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = workspace;
#line 147 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = wnck_workspace_is_virtual (_tmp3_);
#line 147 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	is_virtual = _tmp4_;
#line 786 "WindowControl.c"
	{
		gint i;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 791 "WindowControl.c"
		{
			gboolean _tmp5_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = TRUE;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 798 "WindowControl.c"
				gboolean _tmp6_;
				gboolean _tmp8_ = FALSE;
				GArray* _tmp9_;
				gboolean _tmp13_;
				GArray* _tmp14_;
				gint _tmp15_;
				guint32 _tmp16_ = 0U;
				WnckWindow* _tmp17_ = NULL;
				WnckWindow* _tmp18_;
				WnckWindow* window;
				WnckWindow* _tmp19_;
				gboolean _tmp20_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp6_ = _tmp5_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp6_) {
#line 815 "WindowControl.c"
					gint _tmp7_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp7_ = i;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp7_ + 1;
#line 821 "WindowControl.c"
				}
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp5_ = FALSE;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp9_ = xids;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp9_ != NULL) {
#line 829 "WindowControl.c"
					gint _tmp10_;
					GArray* _tmp11_;
					guint _tmp12_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = i;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp11_ = xids;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp12_ = _tmp11_->len;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = ((guint) _tmp10_) < _tmp12_;
#line 841 "WindowControl.c"
				} else {
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = FALSE;
#line 845 "WindowControl.c"
				}
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = _tmp8_;
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp13_) {
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 853 "WindowControl.c"
				}
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = xids;
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = i;
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = g_array_index (_tmp14_, guint32, (guint) _tmp15_);
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = wnck_window_get ((gulong) _tmp16_);
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = _g_object_ref0 (_tmp17_);
#line 150 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp18_;
#line 151 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp19_ = window;
#line 151 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp19_ == NULL) {
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (window);
#line 152 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					continue;
#line 875 "WindowControl.c"
				}
#line 154 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp20_ = is_virtual;
#line 154 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp20_) {
#line 881 "WindowControl.c"
					WnckWindow* _tmp21_;
					WnckWorkspace* _tmp22_;
					gboolean _tmp23_ = FALSE;
#line 155 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp21_ = window;
#line 155 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp22_ = workspace;
#line 155 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp23_ = wnck_window_is_on_workspace (_tmp21_, _tmp22_);
#line 155 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					if (_tmp23_) {
#line 156 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						result = TRUE;
#line 156 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_object_unref0 (window);
#line 156 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_array_unref0 (xids);
#line 156 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						return result;
#line 901 "WindowControl.c"
					}
				} else {
					WnckWindow* _tmp24_;
					WnckWorkspace* _tmp25_;
					gboolean _tmp26_ = FALSE;
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp24_ = window;
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp25_ = workspace;
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp26_ = wnck_window_is_in_viewport (_tmp24_, _tmp25_);
#line 158 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					if (_tmp26_) {
#line 159 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						result = TRUE;
#line 159 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_object_unref0 (window);
#line 159 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_array_unref0 (xids);
#line 159 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						return result;
#line 923 "WindowControl.c"
					}
				}
#line 149 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 928 "WindowControl.c"
			}
		}
	}
#line 163 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = FALSE;
#line 163 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 163 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 938 "WindowControl.c"
}


GeeArrayList* plank_services_windows_window_control_get_windows (BamfApplication* app) {
	GeeArrayList* result = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* windows;
	BamfApplication* _tmp1_;
	GList* _tmp2_ = NULL;
	GList* children;
	GList* _tmp3_;
	GList* _tmp4_;
#line 166 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, NULL);
#line 168 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = gee_array_list_new (bamf_window_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL);
#line 168 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	windows = _tmp0_;
#line 170 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = app;
#line 170 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = bamf_application_get_windows (_tmp1_);
#line 170 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	children = _tmp2_;
#line 172 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = children;
#line 172 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_ == NULL) {
#line 173 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = windows;
#line 173 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_list_free0 (children);
#line 173 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 973 "WindowControl.c"
	}
#line 175 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = children;
#line 977 "WindowControl.c"
	{
		GList* view_collection = NULL;
		GList* view_it = NULL;
#line 175 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		view_collection = _tmp4_;
#line 175 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		for (view_it = view_collection; view_it != NULL; view_it = view_it->next) {
#line 985 "WindowControl.c"
			BamfView* view = NULL;
#line 175 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			view = (BamfView*) view_it->data;
#line 989 "WindowControl.c"
			{
				BamfView* _tmp5_;
#line 176 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp5_ = view;
#line 176 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, bamf_window_get_type ())) {
#line 996 "WindowControl.c"
					GeeArrayList* _tmp6_;
					BamfView* _tmp7_;
#line 177 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = windows;
#line 177 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp7_ = view;
#line 177 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp6_, G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, bamf_window_get_type ()) ? ((BamfWindow*) _tmp7_) : NULL);
#line 1005 "WindowControl.c"
				}
			}
		}
	}
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = windows;
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_list_free0 (children);
#line 180 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 1016 "WindowControl.c"
}


void plank_services_windows_window_control_update_icon_regions (BamfApplication* app, GdkRectangle* rect) {
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
#line 183 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 183 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (rect != NULL);
#line 185 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 186 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 186 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 186 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 188 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 188 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 1041 "WindowControl.c"
	{
		gint i;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 1046 "WindowControl.c"
		{
			gboolean _tmp3_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp3_ = TRUE;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 1053 "WindowControl.c"
				gboolean _tmp4_;
				gboolean _tmp6_ = FALSE;
				GArray* _tmp7_;
				gboolean _tmp11_;
				GArray* _tmp12_;
				gint _tmp13_;
				guint32 _tmp14_ = 0U;
				WnckWindow* _tmp15_ = NULL;
				WnckWindow* _tmp16_;
				WnckWindow* window;
				WnckWindow* _tmp17_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp4_ = _tmp3_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp4_) {
#line 1069 "WindowControl.c"
					gint _tmp5_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp5_ = i;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp5_ + 1;
#line 1075 "WindowControl.c"
				}
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp7_ = xids;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp7_ != NULL) {
#line 1083 "WindowControl.c"
					gint _tmp8_;
					GArray* _tmp9_;
					guint _tmp10_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = i;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp9_ = xids;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = _tmp9_->len;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = ((guint) _tmp8_) < _tmp10_;
#line 1095 "WindowControl.c"
				} else {
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = FALSE;
#line 1099 "WindowControl.c"
				}
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = _tmp6_;
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp11_) {
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 1107 "WindowControl.c"
				}
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp12_ = xids;
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = i;
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = g_array_index (_tmp12_, guint32, (guint) _tmp13_);
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = wnck_window_get ((gulong) _tmp14_);
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 191 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp16_;
#line 192 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = window;
#line 192 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp17_ != NULL) {
#line 1125 "WindowControl.c"
					WnckWindow* _tmp18_;
					GdkRectangle _tmp19_;
					gint _tmp20_;
					GdkRectangle _tmp21_;
					gint _tmp22_;
					GdkRectangle _tmp23_;
					gint _tmp24_;
					GdkRectangle _tmp25_;
					gint _tmp26_;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp18_ = window;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp19_ = *rect;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp20_ = _tmp19_.x;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp21_ = *rect;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp22_ = _tmp21_.y;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp23_ = *rect;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp24_ = _tmp23_.width;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp25_ = *rect;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp26_ = _tmp25_.height;
#line 193 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					wnck_window_set_icon_geometry (_tmp18_, _tmp20_, _tmp22_, _tmp24_, _tmp26_);
#line 1155 "WindowControl.c"
				}
#line 190 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 1159 "WindowControl.c"
			}
		}
	}
#line 183 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 1165 "WindowControl.c"
}


void plank_services_windows_window_control_close_all (BamfApplication* app) {
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
#line 197 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 199 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 200 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 202 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 202 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 1188 "WindowControl.c"
	{
		gint i;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 1193 "WindowControl.c"
		{
			gboolean _tmp3_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp3_ = TRUE;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 1200 "WindowControl.c"
				gboolean _tmp4_;
				gboolean _tmp6_ = FALSE;
				GArray* _tmp7_;
				gboolean _tmp11_;
				GArray* _tmp12_;
				gint _tmp13_;
				guint32 _tmp14_ = 0U;
				WnckWindow* _tmp15_ = NULL;
				WnckWindow* _tmp16_;
				WnckWindow* window;
				gboolean _tmp17_ = FALSE;
				WnckWindow* _tmp18_;
				gboolean _tmp21_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp4_ = _tmp3_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp4_) {
#line 1218 "WindowControl.c"
					gint _tmp5_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp5_ = i;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp5_ + 1;
#line 1224 "WindowControl.c"
				}
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp7_ = xids;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp7_ != NULL) {
#line 1232 "WindowControl.c"
					gint _tmp8_;
					GArray* _tmp9_;
					guint _tmp10_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp8_ = i;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp9_ = xids;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp10_ = _tmp9_->len;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = ((guint) _tmp8_) < _tmp10_;
#line 1244 "WindowControl.c"
				} else {
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp6_ = FALSE;
#line 1248 "WindowControl.c"
				}
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = _tmp6_;
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp11_) {
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 1256 "WindowControl.c"
				}
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp12_ = xids;
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = i;
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = g_array_index (_tmp12_, guint32, (guint) _tmp13_);
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = wnck_window_get ((gulong) _tmp14_);
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 205 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = _tmp16_;
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = window;
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp18_ != NULL) {
#line 1274 "WindowControl.c"
					WnckWindow* _tmp19_;
					gboolean _tmp20_ = FALSE;
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp19_ = window;
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp20_ = wnck_window_is_skip_tasklist (_tmp19_);
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = !_tmp20_;
#line 1283 "WindowControl.c"
				} else {
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = FALSE;
#line 1287 "WindowControl.c"
				}
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp21_ = _tmp17_;
#line 206 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp21_) {
#line 1293 "WindowControl.c"
					WnckWindow* _tmp22_;
					guint32 _tmp23_ = 0U;
#line 207 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp22_ = window;
#line 207 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp23_ = gtk_get_current_event_time ();
#line 207 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					wnck_window_close (_tmp22_, _tmp23_);
#line 1302 "WindowControl.c"
				}
#line 204 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 1306 "WindowControl.c"
			}
		}
	}
#line 197 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 1312 "WindowControl.c"
}


void plank_services_windows_window_control_focus_window (BamfWindow* window) {
	BamfWindow* _tmp0_;
	guint32 _tmp1_ = 0U;
	WnckWindow* _tmp2_ = NULL;
	WnckWindow* _tmp3_;
	WnckWindow* w;
	WnckWindow* _tmp4_;
	WnckWindow* _tmp5_;
	WnckWindow* _tmp6_;
#line 211 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (window != NULL);
#line 213 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 214 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = window;
#line 214 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_window_get_xid (_tmp0_);
#line 214 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = wnck_window_get ((gulong) _tmp1_);
#line 214 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 214 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	w = _tmp3_;
#line 216 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = w;
#line 216 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp4_ != NULL);
#line 218 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = w;
#line 218 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp5_ == NULL) {
#line 219 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (w);
#line 219 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return;
#line 1351 "WindowControl.c"
	}
#line 221 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp6_ = w;
#line 221 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_center_and_focus_window (_tmp6_);
#line 211 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (w);
#line 1359 "WindowControl.c"
}


void plank_services_windows_window_control_focus_window_by_xid (guint32 xid) {
	guint32 _tmp0_;
	WnckWindow* _tmp1_ = NULL;
	WnckWindow* _tmp2_;
	WnckWindow* w;
	WnckWindow* _tmp3_;
	WnckWindow* _tmp4_;
	WnckWindow* _tmp5_;
#line 226 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 227 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = xid;
#line 227 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = wnck_window_get ((gulong) _tmp0_);
#line 227 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 227 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	w = _tmp2_;
#line 229 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = w;
#line 229 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp3_ != NULL);
#line 231 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = w;
#line 231 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp4_ == NULL) {
#line 232 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (w);
#line 232 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return;
#line 1393 "WindowControl.c"
	}
#line 234 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = w;
#line 234 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_center_and_focus_window (_tmp5_);
#line 224 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (w);
#line 1401 "WindowControl.c"
}


void plank_services_windows_window_control_focus (BamfApplication* app) {
#line 237 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 1408 "WindowControl.c"
	{
		BamfApplication* _tmp0_;
		GeeArrayList* _tmp1_ = NULL;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _window_size;
		gint _window_index;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = app;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp1_;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = _window_list;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _tmp3_;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp4_;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 1436 "WindowControl.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_ = NULL;
			WnckWindow* window;
			WnckWindow* _tmp11_;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = _window_index;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp5_ + 1;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp6_ = _window_index;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp7_ = _window_size;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 1457 "WindowControl.c"
			}
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _window_list;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _window_index;
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp10_;
#line 240 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp11_ = window;
#line 240 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			plank_services_windows_window_control_center_and_focus_window (_tmp11_);
#line 241 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 1475 "WindowControl.c"
		}
#line 239 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 1479 "WindowControl.c"
	}
}


static gint plank_services_windows_window_control_find_active_xid_index (GArray* xids) {
	gint result = 0;
	gint i;
#line 247 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	i = 0;
#line 1489 "WindowControl.c"
	{
		gboolean _tmp0_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = TRUE;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 1496 "WindowControl.c"
			gboolean _tmp1_;
			gboolean _tmp3_ = FALSE;
			GArray* _tmp4_;
			gboolean _tmp8_;
			GArray* _tmp9_;
			gint _tmp10_;
			guint32 _tmp11_ = 0U;
			WnckWindow* _tmp12_ = NULL;
			WnckWindow* _tmp13_;
			WnckWindow* window;
			gboolean _tmp14_ = FALSE;
			WnckWindow* _tmp15_;
			gboolean _tmp18_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp1_ = _tmp0_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!_tmp1_) {
#line 1514 "WindowControl.c"
				gint _tmp2_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp2_ = i;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				i = _tmp2_ + 1;
#line 1520 "WindowControl.c"
			}
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp0_ = FALSE;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp4_ = xids;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp4_ != NULL) {
#line 1528 "WindowControl.c"
				gint _tmp5_;
				GArray* _tmp6_;
				guint _tmp7_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp5_ = i;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp6_ = xids;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp7_ = _tmp6_->len;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = ((guint) _tmp5_) < _tmp7_;
#line 1540 "WindowControl.c"
			} else {
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp3_ = FALSE;
#line 1544 "WindowControl.c"
			}
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _tmp3_;
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!_tmp8_) {
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 1552 "WindowControl.c"
			}
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = xids;
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = i;
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp11_ = g_array_index (_tmp9_, guint32, (guint) _tmp10_);
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = wnck_window_get ((gulong) _tmp11_);
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp13_ = _g_object_ref0 (_tmp12_);
#line 249 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = _tmp13_;
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp15_ = window;
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp15_ != NULL) {
#line 1570 "WindowControl.c"
				WnckWindow* _tmp16_;
				gboolean _tmp17_ = FALSE;
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = window;
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = wnck_window_is_active (_tmp16_);
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = _tmp17_;
#line 1579 "WindowControl.c"
			} else {
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = FALSE;
#line 1583 "WindowControl.c"
			}
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp18_ = _tmp14_;
#line 250 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp18_) {
#line 251 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 251 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 1593 "WindowControl.c"
			}
#line 248 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 1597 "WindowControl.c"
		}
	}
#line 253 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = i;
#line 253 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 1604 "WindowControl.c"
}


void plank_services_windows_window_control_focus_previous (BamfApplication* app) {
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
	GArray* _tmp3_;
	GArray* _tmp4_;
	gint _tmp5_ = 0;
	gint i;
	gint _tmp6_ = 0;
	gint _tmp7_;
	GArray* _tmp8_;
	guint _tmp9_;
	gint _tmp11_;
	gint _tmp12_;
	GArray* _tmp15_;
	gint _tmp16_;
	guint32 _tmp17_ = 0U;
#line 256 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 258 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 259 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 259 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 259 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 261 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 261 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 263 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = xids;
#line 263 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_ == NULL) {
#line 264 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_array_unref0 (xids);
#line 264 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return;
#line 1648 "WindowControl.c"
	}
#line 266 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = xids;
#line 266 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = plank_services_windows_window_control_find_active_xid_index (_tmp4_);
#line 266 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	i = _tmp5_;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp7_ = i;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp8_ = xids;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp9_ = _tmp8_->len;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (((guint) _tmp7_) < _tmp9_) {
#line 1664 "WindowControl.c"
		gint _tmp10_;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp10_ = i;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = _tmp10_ - 1;
#line 1670 "WindowControl.c"
	} else {
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = 0;
#line 1674 "WindowControl.c"
	}
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp11_ = _tmp6_;
#line 267 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	i = _tmp11_;
#line 269 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp12_ = i;
#line 269 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp12_ < 0) {
#line 1684 "WindowControl.c"
		GArray* _tmp13_;
		guint _tmp14_;
#line 270 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp13_ = xids;
#line 270 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp14_ = _tmp13_->len;
#line 270 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = ((gint) _tmp14_) - 1;
#line 1693 "WindowControl.c"
	}
#line 272 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp15_ = xids;
#line 272 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp16_ = i;
#line 272 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp17_ = g_array_index (_tmp15_, guint32, (guint) _tmp16_);
#line 272 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_focus_window_by_xid (_tmp17_);
#line 256 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 1705 "WindowControl.c"
}


void plank_services_windows_window_control_focus_next (BamfApplication* app) {
	BamfApplication* _tmp0_;
	GArray* _tmp1_ = NULL;
	GArray* xids;
	GArray* _tmp2_;
	GArray* _tmp3_;
	GArray* _tmp4_;
	gint _tmp5_ = 0;
	gint i;
	gint _tmp6_ = 0;
	gint _tmp7_;
	GArray* _tmp8_;
	guint _tmp9_;
	gint _tmp11_;
	gint _tmp12_;
	GArray* _tmp13_;
	guint _tmp14_;
	GArray* _tmp15_;
	gint _tmp16_;
	guint32 _tmp17_ = 0U;
#line 275 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 277 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 278 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 278 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = bamf_application_get_xids (_tmp0_);
#line 278 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp1_;
#line 280 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = xids;
#line 280 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp2_ != NULL);
#line 282 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = xids;
#line 282 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_ == NULL) {
#line 283 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_array_unref0 (xids);
#line 283 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return;
#line 1751 "WindowControl.c"
	}
#line 285 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = xids;
#line 285 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = plank_services_windows_window_control_find_active_xid_index (_tmp4_);
#line 285 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	i = _tmp5_;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp7_ = i;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp8_ = xids;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp9_ = _tmp8_->len;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (((guint) _tmp7_) < _tmp9_) {
#line 1767 "WindowControl.c"
		gint _tmp10_;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp10_ = i;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = _tmp10_ + 1;
#line 1773 "WindowControl.c"
	} else {
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = 0;
#line 1777 "WindowControl.c"
	}
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp11_ = _tmp6_;
#line 286 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	i = _tmp11_;
#line 288 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp12_ = i;
#line 288 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp13_ = xids;
#line 288 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp14_ = _tmp13_->len;
#line 288 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (((guint) _tmp12_) == _tmp14_) {
#line 289 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = 0;
#line 1793 "WindowControl.c"
	}
#line 291 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp15_ = xids;
#line 291 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp16_ = i;
#line 291 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp17_ = g_array_index (_tmp15_, guint32, (guint) _tmp16_);
#line 291 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_focus_window_by_xid (_tmp17_);
#line 275 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 1805 "WindowControl.c"
}


void plank_services_windows_window_control_minimize (BamfApplication* app) {
#line 294 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 1812 "WindowControl.c"
	{
		BamfApplication* _tmp0_;
		GeeArrayList* _tmp1_ = NULL;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _window_size;
		gint _window_index;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = app;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp1_;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = _window_list;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _tmp3_;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp4_;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 1840 "WindowControl.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_ = NULL;
			WnckWindow* window;
			gboolean _tmp11_ = FALSE;
			WnckWindow* _tmp12_;
			gboolean _tmp13_ = FALSE;
			gboolean _tmp19_;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = _window_index;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp5_ + 1;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp6_ = _window_index;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp7_ = _window_size;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 1864 "WindowControl.c"
			}
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _window_list;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _window_index;
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp10_;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = window;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp13_ = wnck_window_is_minimized (_tmp12_);
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!_tmp13_) {
#line 1880 "WindowControl.c"
				WnckWindow* _tmp14_;
				WnckWindow* _tmp15_;
				WnckScreen* _tmp16_ = NULL;
				WnckWorkspace* _tmp17_ = NULL;
				gboolean _tmp18_ = FALSE;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = window;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp15_ = window;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = wnck_window_get_screen (_tmp15_);
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = wnck_screen_get_active_workspace (_tmp16_);
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = wnck_window_is_in_viewport (_tmp14_, _tmp17_);
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = _tmp18_;
#line 1898 "WindowControl.c"
			} else {
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = FALSE;
#line 1902 "WindowControl.c"
			}
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp19_ = _tmp11_;
#line 297 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp19_) {
#line 1908 "WindowControl.c"
				WnckWindow* _tmp20_;
#line 298 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp20_ = window;
#line 298 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				wnck_window_minimize (_tmp20_);
#line 299 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 1916 "WindowControl.c"
			}
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 1920 "WindowControl.c"
		}
#line 296 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 1924 "WindowControl.c"
	}
}


void plank_services_windows_window_control_restore (BamfApplication* app) {
	BamfApplication* _tmp0_;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* stack;
#line 303 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 305 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 305 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 305 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	stack = _tmp1_;
#line 1941 "WindowControl.c"
	{
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint i;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = stack;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _tmp3_;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		i = ((gint) _tmp4_) - 1;
#line 1955 "WindowControl.c"
		{
			gboolean _tmp5_;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = TRUE;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 1962 "WindowControl.c"
				gboolean _tmp6_;
				gint _tmp8_;
				GeeArrayList* _tmp9_;
				gint _tmp10_;
				gpointer _tmp11_ = NULL;
				WnckWindow* window;
				gboolean _tmp12_ = FALSE;
				WnckWindow* _tmp13_;
				gboolean _tmp14_ = FALSE;
				gboolean _tmp20_;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp6_ = _tmp5_;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp6_) {
#line 1977 "WindowControl.c"
					gint _tmp7_;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp7_ = i;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					i = _tmp7_ - 1;
#line 1983 "WindowControl.c"
				}
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp5_ = FALSE;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp8_ = i;
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!(_tmp8_ >= 0)) {
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 1993 "WindowControl.c"
				}
#line 307 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp9_ = stack;
#line 307 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp10_ = i;
#line 307 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 307 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = (WnckWindow*) _tmp11_;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = window;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp14_ = wnck_window_is_minimized (_tmp13_);
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp14_) {
#line 2009 "WindowControl.c"
					WnckWindow* _tmp15_;
					WnckWindow* _tmp16_;
					WnckScreen* _tmp17_ = NULL;
					WnckWorkspace* _tmp18_ = NULL;
					gboolean _tmp19_ = FALSE;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp15_ = window;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp16_ = window;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp17_ = wnck_window_get_screen (_tmp16_);
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp18_ = wnck_screen_get_active_workspace (_tmp17_);
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp19_ = wnck_window_is_in_viewport (_tmp15_, _tmp18_);
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp12_ = _tmp19_;
#line 2027 "WindowControl.c"
				} else {
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp12_ = FALSE;
#line 2031 "WindowControl.c"
				}
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp20_ = _tmp12_;
#line 308 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp20_) {
#line 2037 "WindowControl.c"
					WnckWindow* _tmp21_;
					guint32 _tmp22_ = 0U;
#line 309 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp21_ = window;
#line 309 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp22_ = gtk_get_current_event_time ();
#line 309 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					wnck_window_unminimize (_tmp21_, _tmp22_);
#line 310 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 2048 "WindowControl.c"
				}
#line 306 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 2052 "WindowControl.c"
			}
		}
	}
#line 303 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (stack);
#line 2058 "WindowControl.c"
}


void plank_services_windows_window_control_maximize (BamfApplication* app) {
#line 315 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 2065 "WindowControl.c"
	{
		BamfApplication* _tmp0_;
		GeeArrayList* _tmp1_ = NULL;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _window_size;
		gint _window_index;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = app;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp1_;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = _window_list;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _tmp3_;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp4_;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 2093 "WindowControl.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_ = NULL;
			WnckWindow* window;
			WnckWindow* _tmp11_;
			gboolean _tmp12_ = FALSE;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = _window_index;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp5_ + 1;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp6_ = _window_index;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp7_ = _window_size;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 2115 "WindowControl.c"
			}
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _window_list;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _window_index;
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp10_;
#line 318 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp11_ = window;
#line 318 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = wnck_window_is_maximized (_tmp11_);
#line 318 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!_tmp12_) {
#line 2131 "WindowControl.c"
				WnckWindow* _tmp13_;
#line 319 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = window;
#line 319 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				wnck_window_maximize (_tmp13_);
#line 2137 "WindowControl.c"
			}
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 2141 "WindowControl.c"
		}
#line 317 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 2145 "WindowControl.c"
	}
}


void plank_services_windows_window_control_unmaximize (BamfApplication* app) {
#line 322 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 2153 "WindowControl.c"
	{
		BamfApplication* _tmp0_;
		GeeArrayList* _tmp1_ = NULL;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _window_size;
		gint _window_index;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = app;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp1_;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = _window_list;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp2_);
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _tmp3_;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp4_;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 2181 "WindowControl.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_ = NULL;
			WnckWindow* window;
			WnckWindow* _tmp11_;
			gboolean _tmp12_ = FALSE;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp5_ = _window_index;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp5_ + 1;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp6_ = _window_index;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp7_ = _window_size;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 2203 "WindowControl.c"
			}
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _window_list;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _window_index;
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp10_;
#line 325 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp11_ = window;
#line 325 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = wnck_window_is_maximized (_tmp11_);
#line 325 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp12_) {
#line 2219 "WindowControl.c"
				WnckWindow* _tmp13_;
#line 326 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = window;
#line 326 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				wnck_window_unmaximize (_tmp13_);
#line 2225 "WindowControl.c"
			}
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 2229 "WindowControl.c"
		}
#line 324 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 2233 "WindowControl.c"
	}
}


GeeArrayList* plank_services_windows_window_control_get_ordered_window_stack (BamfApplication* app) {
	GeeArrayList* result = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* windows;
	BamfApplication* _tmp1_;
	GArray* _tmp2_ = NULL;
	GArray* xids;
	GArray* _tmp3_;
	GArray* _tmp4_;
	WnckScreen* _tmp5_ = NULL;
	GList* _tmp6_ = NULL;
	GList* stack;
	GList* _tmp7_;
#line 329 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_val_if_fail (app != NULL, NULL);
#line 331 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = gee_array_list_new (wnck_window_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL);
#line 331 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	windows = _tmp0_;
#line 333 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_screen_get_default ();
#line 334 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = app;
#line 334 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = bamf_application_get_xids (_tmp1_);
#line 334 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	xids = _tmp2_;
#line 336 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = xids;
#line 336 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_warn_if_fail (_tmp3_ != NULL);
#line 338 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = xids;
#line 338 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp4_ == NULL) {
#line 339 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = windows;
#line 339 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_array_unref0 (xids);
#line 339 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 2279 "WindowControl.c"
	}
#line 341 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = wnck_screen_get_default ();
#line 341 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp6_ = wnck_screen_get_windows_stacked (_tmp5_);
#line 341 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	stack = _tmp6_;
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp7_ = stack;
#line 2289 "WindowControl.c"
	{
		GList* window_collection = NULL;
		GList* window_it = NULL;
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		window_collection = _tmp7_;
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		for (window_it = window_collection; window_it != NULL; window_it = window_it->next) {
#line 2297 "WindowControl.c"
			WnckWindow* _tmp8_;
			WnckWindow* window = NULL;
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _g_object_ref0 ((WnckWindow*) window_it->data);
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = _tmp8_;
#line 2304 "WindowControl.c"
			{
				{
					gint j;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					j = 0;
#line 2310 "WindowControl.c"
					{
						gboolean _tmp9_;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp9_ = TRUE;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						while (TRUE) {
#line 2317 "WindowControl.c"
							gboolean _tmp10_;
							gint _tmp12_;
							GArray* _tmp13_;
							guint _tmp14_;
							GArray* _tmp15_;
							gint _tmp16_;
							guint32 _tmp17_ = 0U;
							WnckWindow* _tmp18_;
							gulong _tmp19_ = 0UL;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp10_ = _tmp9_;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							if (!_tmp10_) {
#line 2331 "WindowControl.c"
								gint _tmp11_;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								_tmp11_ = j;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								j = _tmp11_ + 1;
#line 2337 "WindowControl.c"
							}
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp9_ = FALSE;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp12_ = j;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp13_ = xids;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp14_ = _tmp13_->len;
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							if (!(((guint) _tmp12_) < _tmp14_)) {
#line 344 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								break;
#line 2351 "WindowControl.c"
							}
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp15_ = xids;
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp16_ = j;
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp17_ = g_array_index (_tmp15_, guint32, (guint) _tmp16_);
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp18_ = window;
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp19_ = wnck_window_get_xid (_tmp18_);
#line 345 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							if (((gulong) _tmp17_) == _tmp19_) {
#line 2365 "WindowControl.c"
								GeeArrayList* _tmp20_;
								WnckWindow* _tmp21_;
#line 346 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								_tmp20_ = windows;
#line 346 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								_tmp21_ = window;
#line 346 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
								gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 2374 "WindowControl.c"
							}
						}
					}
				}
#line 343 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 2381 "WindowControl.c"
			}
		}
	}
#line 348 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = windows;
#line 348 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_array_unref0 (xids);
#line 348 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 2391 "WindowControl.c"
}


void plank_services_windows_window_control_smart_focus (BamfApplication* app) {
	BamfApplication* _tmp0_;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* windows;
	gboolean not_in_viewport;
	gboolean urgent;
	gboolean _tmp24_ = FALSE;
	gboolean _tmp25_;
	gboolean _tmp27_;
#line 351 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (app != NULL);
#line 353 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = app;
#line 353 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = plank_services_windows_window_control_get_ordered_window_stack (_tmp0_);
#line 353 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	windows = _tmp1_;
#line 355 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	not_in_viewport = TRUE;
#line 356 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	urgent = FALSE;
#line 2416 "WindowControl.c"
	{
		GeeArrayList* _tmp2_;
		GeeArrayList* _tmp3_;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gint _window_size;
		gint _window_index;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = windows;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp3_;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = _window_list;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = _tmp5_;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp6_;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 2444 "WindowControl.c"
			gint _tmp7_;
			gint _tmp8_;
			gint _tmp9_;
			GeeArrayList* _tmp10_;
			gint _tmp11_;
			gpointer _tmp12_ = NULL;
			WnckWindow* window;
			gboolean _tmp13_ = FALSE;
			WnckWindow* _tmp14_;
			gboolean _tmp15_ = FALSE;
			gboolean _tmp21_;
			WnckWindow* _tmp22_;
			gboolean _tmp23_ = FALSE;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp7_ = _window_index;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp7_ + 1;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp8_ = _window_index;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _window_size;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 2470 "WindowControl.c"
			}
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp10_ = _window_list;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp11_ = _window_index;
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp12_;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp14_ = window;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp15_ = wnck_window_is_skip_tasklist (_tmp14_);
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!_tmp15_) {
#line 2486 "WindowControl.c"
				WnckWindow* _tmp16_;
				WnckWindow* _tmp17_;
				WnckScreen* _tmp18_ = NULL;
				WnckWorkspace* _tmp19_ = NULL;
				gboolean _tmp20_ = FALSE;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp16_ = window;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp17_ = window;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp18_ = wnck_window_get_screen (_tmp17_);
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp19_ = wnck_screen_get_active_workspace (_tmp18_);
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp20_ = wnck_window_is_in_viewport (_tmp16_, _tmp19_);
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = _tmp20_;
#line 2504 "WindowControl.c"
			} else {
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp13_ = FALSE;
#line 2508 "WindowControl.c"
			}
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp21_ = _tmp13_;
#line 359 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp21_) {
#line 360 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				not_in_viewport = FALSE;
#line 2516 "WindowControl.c"
			}
#line 361 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp22_ = window;
#line 361 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp23_ = wnck_window_needs_attention (_tmp22_);
#line 361 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp23_) {
#line 362 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				urgent = TRUE;
#line 2526 "WindowControl.c"
			}
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 2530 "WindowControl.c"
		}
#line 358 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 2534 "WindowControl.c"
	}
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp25_ = not_in_viewport;
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp25_) {
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp24_ = TRUE;
#line 2542 "WindowControl.c"
	} else {
		gboolean _tmp26_;
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp26_ = urgent;
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp24_ = _tmp26_;
#line 2549 "WindowControl.c"
	}
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp27_ = _tmp24_;
#line 365 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp27_) {
#line 2555 "WindowControl.c"
		{
			GeeArrayList* _tmp28_;
			GeeArrayList* _tmp29_;
			GeeArrayList* _window_list;
			GeeArrayList* _tmp30_;
			gint _tmp31_;
			gint _tmp32_;
			gint _window_size;
			gint _window_index;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp28_ = windows;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp29_ = _g_object_ref0 (_tmp28_);
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_list = _tmp29_;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp30_ = _window_list;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp31_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp30_);
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp32_ = _tmp31_;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_size = _tmp32_;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = -1;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			while (TRUE) {
#line 2583 "WindowControl.c"
				gint _tmp33_;
				gint _tmp34_;
				gint _tmp35_;
				GeeArrayList* _tmp36_;
				gint _tmp37_;
				gpointer _tmp38_ = NULL;
				WnckWindow* window;
				gboolean _tmp39_ = FALSE;
				gboolean _tmp40_;
				gboolean _tmp43_;
				WnckWindow* _tmp44_;
				gboolean _tmp45_ = FALSE;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp33_ = _window_index;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_window_index = _tmp33_ + 1;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp34_ = _window_index;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp35_ = _window_size;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!(_tmp34_ < _tmp35_)) {
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					break;
#line 2608 "WindowControl.c"
				}
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp36_ = _window_list;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp37_ = _window_index;
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _tmp37_);
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				window = (WnckWindow*) _tmp38_;
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp40_ = urgent;
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp40_) {
#line 2622 "WindowControl.c"
					WnckWindow* _tmp41_;
					gboolean _tmp42_ = FALSE;
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp41_ = window;
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp42_ = wnck_window_needs_attention (_tmp41_);
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp39_ = !_tmp42_;
#line 2631 "WindowControl.c"
				} else {
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp39_ = FALSE;
#line 2635 "WindowControl.c"
				}
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp43_ = _tmp39_;
#line 367 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (_tmp43_) {
#line 368 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (window);
#line 368 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					continue;
#line 2645 "WindowControl.c"
				}
#line 370 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp44_ = window;
#line 370 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp45_ = wnck_window_is_skip_tasklist (_tmp44_);
#line 370 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				if (!_tmp45_) {
#line 2653 "WindowControl.c"
					WnckWindow* _tmp46_;
					GeeArrayList* _tmp47_;
#line 371 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp46_ = window;
#line 371 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp47_ = windows;
#line 371 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					plank_services_windows_window_control_intelligent_focus_off_viewport_window (_tmp46_, _tmp47_);
#line 372 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (window);
#line 372 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (_window_list);
#line 372 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (windows);
#line 372 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					return;
#line 2670 "WindowControl.c"
				}
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 2674 "WindowControl.c"
			}
#line 366 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (_window_list);
#line 2678 "WindowControl.c"
		}
	}
	{
		GeeArrayList* _tmp48_;
		GeeArrayList* _tmp49_;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp50_;
		gint _tmp51_;
		gint _tmp52_;
		gint _window_size;
		gint _window_index;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp48_ = windows;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp49_ = _g_object_ref0 (_tmp48_);
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp49_;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp50_ = _window_list;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp51_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp50_);
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp52_ = _tmp51_;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp52_;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 2708 "WindowControl.c"
			gint _tmp53_;
			gint _tmp54_;
			gint _tmp55_;
			GeeArrayList* _tmp56_;
			gint _tmp57_;
			gpointer _tmp58_ = NULL;
			WnckWindow* window;
			gboolean _tmp59_ = FALSE;
			WnckWindow* _tmp60_;
			gboolean _tmp61_ = FALSE;
			gboolean _tmp67_;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp53_ = _window_index;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp53_ + 1;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp54_ = _window_index;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp55_ = _window_size;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp54_ < _tmp55_)) {
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 2732 "WindowControl.c"
			}
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp56_ = _window_list;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp57_ = _window_index;
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp58_ = gee_abstract_list_get ((GeeAbstractList*) _tmp56_, _tmp57_);
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp58_;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp60_ = window;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp61_ = wnck_window_is_minimized (_tmp60_);
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp61_) {
#line 2748 "WindowControl.c"
				WnckWindow* _tmp62_;
				WnckWindow* _tmp63_;
				WnckScreen* _tmp64_ = NULL;
				WnckWorkspace* _tmp65_ = NULL;
				gboolean _tmp66_ = FALSE;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp62_ = window;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp63_ = window;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp64_ = wnck_window_get_screen (_tmp63_);
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp65_ = wnck_screen_get_active_workspace (_tmp64_);
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp66_ = wnck_window_is_in_viewport (_tmp62_, _tmp65_);
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp59_ = _tmp66_;
#line 2766 "WindowControl.c"
			} else {
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp59_ = FALSE;
#line 2770 "WindowControl.c"
			}
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp67_ = _tmp59_;
#line 378 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp67_) {
#line 2776 "WindowControl.c"
				{
					GeeArrayList* _tmp68_;
					GeeArrayList* _tmp69_;
					GeeArrayList* _w_list;
					GeeArrayList* _tmp70_;
					gint _tmp71_;
					gint _tmp72_;
					gint _w_size;
					gint _w_index;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp68_ = windows;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp69_ = _g_object_ref0 (_tmp68_);
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_list = _tmp69_;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp70_ = _w_list;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp71_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp70_);
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp72_ = _tmp71_;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_size = _tmp72_;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_index = -1;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					while (TRUE) {
#line 2804 "WindowControl.c"
						gint _tmp73_;
						gint _tmp74_;
						gint _tmp75_;
						GeeArrayList* _tmp76_;
						gint _tmp77_;
						gpointer _tmp78_ = NULL;
						WnckWindow* w;
						gboolean _tmp79_ = FALSE;
						WnckWindow* _tmp80_;
						gboolean _tmp81_ = FALSE;
						gboolean _tmp87_;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp73_ = _w_index;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_w_index = _tmp73_ + 1;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp74_ = _w_index;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp75_ = _w_size;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (!(_tmp74_ < _tmp75_)) {
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							break;
#line 2828 "WindowControl.c"
						}
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp76_ = _w_list;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp77_ = _w_index;
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp78_ = gee_abstract_list_get ((GeeAbstractList*) _tmp76_, _tmp77_);
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						w = (WnckWindow*) _tmp78_;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp80_ = w;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp81_ = wnck_window_is_minimized (_tmp80_);
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (_tmp81_) {
#line 2844 "WindowControl.c"
							WnckWindow* _tmp82_;
							WnckWindow* _tmp83_;
							WnckScreen* _tmp84_ = NULL;
							WnckWorkspace* _tmp85_ = NULL;
							gboolean _tmp86_ = FALSE;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp82_ = w;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp83_ = w;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp84_ = wnck_window_get_screen (_tmp83_);
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp85_ = wnck_screen_get_active_workspace (_tmp84_);
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp86_ = wnck_window_is_in_viewport (_tmp82_, _tmp85_);
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp79_ = _tmp86_;
#line 2862 "WindowControl.c"
						} else {
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp79_ = FALSE;
#line 2866 "WindowControl.c"
						}
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp87_ = _tmp79_;
#line 380 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (_tmp87_) {
#line 2872 "WindowControl.c"
							WnckWindow* _tmp88_;
							guint32 _tmp89_ = 0U;
#line 381 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp88_ = w;
#line 381 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp89_ = gtk_get_current_event_time ();
#line 381 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							wnck_window_unminimize (_tmp88_, _tmp89_);
#line 382 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 2883 "WindowControl.c"
						}
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_object_unref0 (w);
#line 2887 "WindowControl.c"
					}
#line 379 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (_w_list);
#line 2891 "WindowControl.c"
				}
#line 384 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 384 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (_window_list);
#line 384 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (windows);
#line 384 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				return;
#line 2901 "WindowControl.c"
			}
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 2905 "WindowControl.c"
		}
#line 377 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 2909 "WindowControl.c"
	}
	{
		GeeArrayList* _tmp90_;
		GeeArrayList* _tmp91_;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp92_;
		gint _tmp93_;
		gint _tmp94_;
		gint _window_size;
		gint _window_index;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp90_ = windows;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp91_ = _g_object_ref0 (_tmp90_);
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp91_;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp92_ = _window_list;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp93_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp92_);
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp94_ = _tmp93_;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp94_;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 2938 "WindowControl.c"
			gint _tmp95_;
			gint _tmp96_;
			gint _tmp97_;
			GeeArrayList* _tmp98_;
			gint _tmp99_;
			gpointer _tmp100_ = NULL;
			WnckWindow* window;
			gboolean _tmp101_ = FALSE;
			gboolean _tmp102_ = FALSE;
			WnckWindow* _tmp103_;
			gboolean _tmp104_ = FALSE;
			gboolean _tmp110_;
			gboolean _tmp114_;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp95_ = _window_index;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp95_ + 1;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp96_ = _window_index;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp97_ = _window_size;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp96_ < _tmp97_)) {
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 2964 "WindowControl.c"
			}
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp98_ = _window_list;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp99_ = _window_index;
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp100_ = gee_abstract_list_get ((GeeAbstractList*) _tmp98_, _tmp99_);
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp100_;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp103_ = window;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp104_ = wnck_window_is_active (_tmp103_);
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp104_) {
#line 2980 "WindowControl.c"
				WnckWindow* _tmp105_;
				WnckWindow* _tmp106_;
				WnckScreen* _tmp107_ = NULL;
				WnckWorkspace* _tmp108_ = NULL;
				gboolean _tmp109_ = FALSE;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp105_ = window;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp106_ = window;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp107_ = wnck_window_get_screen (_tmp106_);
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp108_ = wnck_screen_get_active_workspace (_tmp107_);
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp109_ = wnck_window_is_in_viewport (_tmp105_, _tmp108_);
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp102_ = _tmp109_;
#line 2998 "WindowControl.c"
			} else {
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp102_ = FALSE;
#line 3002 "WindowControl.c"
			}
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp110_ = _tmp102_;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp110_) {
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp101_ = TRUE;
#line 3010 "WindowControl.c"
			} else {
				WnckWindow* _tmp111_;
				WnckScreen* _tmp112_ = NULL;
				WnckWindow* _tmp113_ = NULL;
#line 389 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp111_ = window;
#line 389 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp112_ = wnck_screen_get_default ();
#line 389 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp113_ = wnck_screen_get_active_window (_tmp112_);
#line 389 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_tmp101_ = _tmp111_ == _tmp113_;
#line 3023 "WindowControl.c"
			}
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp114_ = _tmp101_;
#line 388 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (_tmp114_) {
#line 3029 "WindowControl.c"
				{
					GeeArrayList* _tmp115_;
					GeeArrayList* _tmp116_;
					GeeArrayList* _w_list;
					GeeArrayList* _tmp117_;
					gint _tmp118_;
					gint _tmp119_;
					gint _w_size;
					gint _w_index;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp115_ = windows;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp116_ = _g_object_ref0 (_tmp115_);
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_list = _tmp116_;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp117_ = _w_list;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp118_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp117_);
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_tmp119_ = _tmp118_;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_size = _tmp119_;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_w_index = -1;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					while (TRUE) {
#line 3057 "WindowControl.c"
						gint _tmp120_;
						gint _tmp121_;
						gint _tmp122_;
						GeeArrayList* _tmp123_;
						gint _tmp124_;
						gpointer _tmp125_ = NULL;
						WnckWindow* w;
						gboolean _tmp126_ = FALSE;
						WnckWindow* _tmp127_;
						gboolean _tmp128_ = FALSE;
						gboolean _tmp134_;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp120_ = _w_index;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_w_index = _tmp120_ + 1;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp121_ = _w_index;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp122_ = _w_size;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (!(_tmp121_ < _tmp122_)) {
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							break;
#line 3081 "WindowControl.c"
						}
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp123_ = _w_list;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp124_ = _w_index;
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp125_ = gee_abstract_list_get ((GeeAbstractList*) _tmp123_, _tmp124_);
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						w = (WnckWindow*) _tmp125_;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp127_ = w;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp128_ = wnck_window_is_minimized (_tmp127_);
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (!_tmp128_) {
#line 3097 "WindowControl.c"
							WnckWindow* _tmp129_;
							WnckWindow* _tmp130_;
							WnckScreen* _tmp131_ = NULL;
							WnckWorkspace* _tmp132_ = NULL;
							gboolean _tmp133_ = FALSE;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp129_ = w;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp130_ = w;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp131_ = wnck_window_get_screen (_tmp130_);
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp132_ = wnck_screen_get_active_workspace (_tmp131_);
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp133_ = wnck_window_is_in_viewport (_tmp129_, _tmp132_);
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp126_ = _tmp133_;
#line 3115 "WindowControl.c"
						} else {
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp126_ = FALSE;
#line 3119 "WindowControl.c"
						}
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_tmp134_ = _tmp126_;
#line 391 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						if (_tmp134_) {
#line 3125 "WindowControl.c"
							WnckWindow* _tmp135_;
#line 392 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							_tmp135_ = w;
#line 392 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							wnck_window_minimize (_tmp135_);
#line 393 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
							g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 3133 "WindowControl.c"
						}
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
						_g_object_unref0 (w);
#line 3137 "WindowControl.c"
					}
#line 390 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
					_g_object_unref0 (_w_list);
#line 3141 "WindowControl.c"
				}
#line 395 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (window);
#line 395 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (_window_list);
#line 395 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				_g_object_unref0 (windows);
#line 395 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				return;
#line 3151 "WindowControl.c"
			}
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 3155 "WindowControl.c"
		}
#line 387 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 3159 "WindowControl.c"
	}
	{
		GeeArrayList* _tmp136_;
		GeeArrayList* _tmp137_;
		GeeArrayList* _window_list;
		GeeArrayList* _tmp138_;
		gint _tmp139_;
		gint _tmp140_;
		gint _window_size;
		gint _window_index;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp136_ = windows;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp137_ = _g_object_ref0 (_tmp136_);
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_list = _tmp137_;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp138_ = _window_list;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp139_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp138_);
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp140_ = _tmp139_;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_size = _tmp140_;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_window_index = -1;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		while (TRUE) {
#line 3188 "WindowControl.c"
			gint _tmp141_;
			gint _tmp142_;
			gint _tmp143_;
			GeeArrayList* _tmp144_;
			gint _tmp145_;
			gpointer _tmp146_ = NULL;
			WnckWindow* window;
			WnckWindow* _tmp147_;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp141_ = _window_index;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_window_index = _tmp141_ + 1;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp142_ = _window_index;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp143_ = _window_size;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			if (!(_tmp142_ < _tmp143_)) {
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
				break;
#line 3209 "WindowControl.c"
			}
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp144_ = _window_list;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp145_ = _window_index;
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp146_ = gee_abstract_list_get ((GeeAbstractList*) _tmp144_, _tmp145_);
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			window = (WnckWindow*) _tmp146_;
#line 399 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp147_ = window;
#line 399 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			plank_services_windows_window_control_center_and_focus_window (_tmp147_);
#line 400 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_g_object_unref0 (window);
#line 3227 "WindowControl.c"
		}
#line 398 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_window_list);
#line 3231 "WindowControl.c"
	}
#line 351 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (windows);
#line 3235 "WindowControl.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return _data6_;
#line 3244 "WindowControl.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_data6_->targetWindow);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		g_slice_free (Block6Data, _data6_);
#line 3257 "WindowControl.c"
	}
}


static gboolean __lambda6_ (Block6Data* _data6_) {
	gboolean result = FALSE;
	WnckWindow* _tmp0_;
	guint32 _tmp1_;
#line 426 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = _data6_->targetWindow;
#line 426 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = _data6_->time;
#line 426 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_window_activate (_tmp0_, _tmp1_);
#line 427 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = FALSE;
#line 427 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 3276 "WindowControl.c"
}


static gboolean ___lambda6__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda6_ (self);
#line 425 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 3285 "WindowControl.c"
}


static void plank_services_windows_window_control_intelligent_focus_off_viewport_window (WnckWindow* targetWindow, GeeArrayList* additional_windows) {
	Block6Data* _data6_;
	WnckWindow* _tmp0_;
	WnckWindow* _tmp1_;
	GeeArrayList* _tmp2_;
	GeeListIterator* _tmp3_ = NULL;
	GeeListIterator* iterator;
	GeeListIterator* _tmp4_;
	WnckWindow* _tmp17_;
	GeeArrayList* _tmp18_;
	gint _tmp19_;
	gint _tmp20_;
	guint32 _tmp21_ = 0U;
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (targetWindow != NULL);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (additional_windows != NULL);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_data6_->_ref_count_ = 1;
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = targetWindow;
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (_data6_->targetWindow);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_data6_->targetWindow = _tmp1_;
#line 406 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = additional_windows;
#line 406 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = gee_abstract_list_list_iterator ((GeeAbstractList*) _tmp2_);
#line 406 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	iterator = _tmp3_;
#line 407 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = iterator;
#line 407 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	gee_bidir_iterator_last ((GeeBidirIterator*) _tmp4_);
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	while (TRUE) {
#line 3330 "WindowControl.c"
		GeeListIterator* _tmp5_;
		gboolean _tmp6_ = FALSE;
		GeeListIterator* _tmp7_;
		gpointer _tmp8_ = NULL;
		WnckWindow* window;
		gboolean _tmp9_ = FALSE;
		WnckWindow* _tmp10_;
		gboolean _tmp11_ = FALSE;
		gboolean _tmp15_;
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp5_ = iterator;
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = gee_bidir_iterator_previous ((GeeBidirIterator*) _tmp5_);
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		if (!_tmp6_) {
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			break;
#line 3348 "WindowControl.c"
		}
#line 410 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp7_ = iterator;
#line 410 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp8_ = gee_iterator_get ((GeeIterator*) _tmp7_);
#line 410 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		window = (WnckWindow*) _tmp8_;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp10_ = window;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp11_ = wnck_window_is_minimized (_tmp10_);
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		if (!_tmp11_) {
#line 3362 "WindowControl.c"
			WnckWindow* _tmp12_;
			WnckWindow* _tmp13_;
			gboolean _tmp14_ = FALSE;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp12_ = _data6_->targetWindow;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp13_ = window;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp14_ = plank_services_windows_window_control_windows_share_viewport (_tmp12_, _tmp13_);
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = _tmp14_;
#line 3374 "WindowControl.c"
		} else {
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp9_ = FALSE;
#line 3378 "WindowControl.c"
		}
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp15_ = _tmp9_;
#line 411 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		if (_tmp15_) {
#line 3384 "WindowControl.c"
			WnckWindow* _tmp16_;
#line 412 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			_tmp16_ = window;
#line 412 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			plank_services_windows_window_control_center_and_focus_window (_tmp16_);
#line 413 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
			g_usleep ((gulong) PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_WINDOW_GROUP_DELAY);
#line 3392 "WindowControl.c"
		}
#line 409 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (window);
#line 3396 "WindowControl.c"
	}
#line 417 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp17_ = _data6_->targetWindow;
#line 417 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_center_and_focus_window (_tmp17_);
#line 419 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp18_ = additional_windows;
#line 419 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp19_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp18_);
#line 419 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp20_ = _tmp19_;
#line 419 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp20_ <= 1) {
#line 420 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (iterator);
#line 420 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		block6_data_unref (_data6_);
#line 420 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_data6_ = NULL;
#line 420 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return;
#line 3418 "WindowControl.c"
	}
#line 424 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp21_ = gtk_get_current_event_time ();
#line 424 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_data6_->time = _tmp21_ + PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_VIEWPORT_CHANGE_DELAY;
#line 425 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, PLANK_SERVICES_WINDOWS_WINDOW_CONTROL_VIEWPORT_CHANGE_DELAY, ___lambda6__gsource_func, block6_data_ref (_data6_), block6_data_unref);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (iterator);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	block6_data_unref (_data6_);
#line 404 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_data6_ = NULL;
#line 3432 "WindowControl.c"
}


static gboolean plank_services_windows_window_control_windows_share_viewport (WnckWindow* first, WnckWindow* second) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	WnckWindow* _tmp1_;
	gboolean _tmp3_;
	WnckWindow* _tmp4_;
	WnckWorkspace* _tmp5_ = NULL;
	WnckWorkspace* _tmp6_;
	WnckWorkspace* _tmp7_;
	WnckWorkspace* _tmp8_;
	WnckWorkspace* _tmp12_;
	WnckWorkspace* _tmp13_;
	WnckWorkspace* wksp;
	WnckWorkspace* _tmp14_;
	GdkRectangle firstGeo = {0};
	GdkRectangle secondGeo = {0};
	WnckWindow* _tmp15_;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	gint _tmp18_ = 0;
	gint _tmp19_ = 0;
	WnckWindow* _tmp20_;
	gint _tmp21_ = 0;
	gint _tmp22_ = 0;
	gint _tmp23_ = 0;
	gint _tmp24_ = 0;
	gint _tmp25_;
	WnckWorkspace* _tmp26_;
	gint _tmp27_ = 0;
	gint _tmp28_;
	WnckWorkspace* _tmp29_;
	gint _tmp30_ = 0;
	gint _tmp31_;
	WnckWorkspace* _tmp32_;
	gint _tmp33_ = 0;
	gint _tmp34_;
	WnckWorkspace* _tmp35_;
	gint _tmp36_ = 0;
	WnckWindow* _tmp37_;
	WnckScreen* _tmp38_ = NULL;
	gint _tmp39_ = 0;
	gint viewportWidth;
	WnckWindow* _tmp40_;
	WnckScreen* _tmp41_ = NULL;
	gint _tmp42_ = 0;
	gint viewportHeight;
	GdkRectangle _tmp43_;
	gint _tmp44_;
	GdkRectangle _tmp45_;
	gint _tmp46_;
	gint _tmp47_;
	gint _tmp48_;
	gint firstViewportX;
	GdkRectangle _tmp49_;
	gint _tmp50_;
	GdkRectangle _tmp51_;
	gint _tmp52_;
	gint _tmp53_;
	gint _tmp54_;
	gint firstViewportY;
	GdkRectangle viewpRect = {0};
	gint _tmp55_;
	gint _tmp56_;
	gint _tmp57_;
	gint _tmp58_;
	GdkRectangle _tmp59_;
	gboolean _tmp60_ = FALSE;
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp1_ = first;
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp1_ == NULL) {
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = TRUE;
#line 3509 "WindowControl.c"
	} else {
		WnckWindow* _tmp2_;
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp2_ = second;
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp0_ = _tmp2_ == NULL;
#line 3516 "WindowControl.c"
	}
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = _tmp0_;
#line 433 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_) {
#line 434 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = FALSE;
#line 434 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 3526 "WindowControl.c"
	}
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp4_ = first;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp5_ = wnck_window_get_workspace (_tmp4_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp7_ = _tmp6_;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp8_ = _tmp7_;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp8_ == NULL) {
#line 3540 "WindowControl.c"
		WnckWindow* _tmp9_;
		WnckWorkspace* _tmp10_ = NULL;
		WnckWorkspace* _tmp11_;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp9_ = second;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp10_ = wnck_window_get_workspace (_tmp9_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp11_ = _g_object_ref0 (_tmp10_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_tmp7_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp7_ = _tmp11_;
#line 3554 "WindowControl.c"
	}
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp12_ = _tmp7_;
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp13_ = _g_object_ref0 (_tmp12_);
#line 436 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wksp = _tmp13_;
#line 437 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp14_ = wksp;
#line 437 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp14_ == NULL) {
#line 438 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		result = FALSE;
#line 438 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (wksp);
#line 438 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_g_object_unref0 (_tmp7_);
#line 438 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		return result;
#line 3574 "WindowControl.c"
	}
#line 440 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	memset (&firstGeo, 0, sizeof (GdkRectangle));
#line 441 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	memset (&secondGeo, 0, sizeof (GdkRectangle));
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp15_ = first;
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_window_get_geometry (_tmp15_, &_tmp16_, &_tmp17_, &_tmp18_, &_tmp19_);
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.x = _tmp16_;
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.y = _tmp17_;
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.width = _tmp18_;
#line 443 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.height = _tmp19_;
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp20_ = second;
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_window_get_geometry (_tmp20_, &_tmp21_, &_tmp22_, &_tmp23_, &_tmp24_);
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.x = _tmp21_;
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.y = _tmp22_;
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.width = _tmp23_;
#line 444 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.height = _tmp24_;
#line 446 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp25_ = firstGeo.x;
#line 446 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp26_ = wksp;
#line 446 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp27_ = wnck_workspace_get_viewport_x (_tmp26_);
#line 446 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.x = _tmp25_ + _tmp27_;
#line 447 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp28_ = firstGeo.y;
#line 447 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp29_ = wksp;
#line 447 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp30_ = wnck_workspace_get_viewport_y (_tmp29_);
#line 447 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstGeo.y = _tmp28_ + _tmp30_;
#line 449 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp31_ = secondGeo.x;
#line 449 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp32_ = wksp;
#line 449 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp33_ = wnck_workspace_get_viewport_x (_tmp32_);
#line 449 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.x = _tmp31_ + _tmp33_;
#line 450 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp34_ = secondGeo.y;
#line 450 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp35_ = wksp;
#line 450 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp36_ = wnck_workspace_get_viewport_y (_tmp35_);
#line 450 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	secondGeo.y = _tmp34_ + _tmp36_;
#line 452 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp37_ = first;
#line 452 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp38_ = wnck_window_get_screen (_tmp37_);
#line 452 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp39_ = wnck_screen_get_width (_tmp38_);
#line 452 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewportWidth = _tmp39_;
#line 453 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp40_ = first;
#line 453 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp41_ = wnck_window_get_screen (_tmp40_);
#line 453 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp42_ = wnck_screen_get_height (_tmp41_);
#line 453 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewportHeight = _tmp42_;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp43_ = firstGeo;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp44_ = _tmp43_.x;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp45_ = firstGeo;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp46_ = _tmp45_.width;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp47_ = viewportWidth;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp48_ = viewportWidth;
#line 455 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstViewportX = ((_tmp44_ + (_tmp46_ / 2)) / _tmp47_) * _tmp48_;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp49_ = firstGeo;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp50_ = _tmp49_.y;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp51_ = firstGeo;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp52_ = _tmp51_.height;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp53_ = viewportHeight;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp54_ = viewportHeight;
#line 456 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	firstViewportY = ((_tmp50_ + (_tmp52_ / 2)) / _tmp53_) * _tmp54_;
#line 458 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	memset (&viewpRect, 0, sizeof (GdkRectangle));
#line 459 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp55_ = firstViewportX;
#line 459 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewpRect.x = _tmp55_;
#line 460 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp56_ = firstViewportY;
#line 460 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewpRect.y = _tmp56_;
#line 461 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp57_ = viewportWidth;
#line 461 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewpRect.width = _tmp57_;
#line 462 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp58_ = viewportHeight;
#line 462 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	viewpRect.height = _tmp58_;
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp59_ = secondGeo;
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp60_ = gdk_rectangle_intersect (&viewpRect, &_tmp59_, NULL);
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	result = _tmp60_;
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (wksp);
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_g_object_unref0 (_tmp7_);
#line 464 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return result;
#line 3710 "WindowControl.c"
}


static void plank_services_windows_window_control_center_and_focus_window (WnckWindow* w) {
	guint32 _tmp0_ = 0U;
	guint32 time;
	gboolean _tmp1_ = FALSE;
	WnckWindow* _tmp2_;
	WnckWorkspace* _tmp3_ = NULL;
	gboolean _tmp9_;
	WnckWindow* _tmp13_;
	gboolean _tmp14_ = FALSE;
	WnckWindow* _tmp17_;
	guint32 _tmp18_;
#line 467 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (w != NULL);
#line 469 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = gtk_get_current_event_time ();
#line 469 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	time = _tmp0_;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp2_ = w;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp3_ = wnck_window_get_workspace (_tmp2_);
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp3_ != NULL) {
#line 3737 "WindowControl.c"
		WnckWindow* _tmp4_;
		WnckWorkspace* _tmp5_ = NULL;
		WnckWindow* _tmp6_;
		WnckScreen* _tmp7_ = NULL;
		WnckWorkspace* _tmp8_ = NULL;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp4_ = w;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp5_ = wnck_window_get_workspace (_tmp4_);
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp6_ = w;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp7_ = wnck_window_get_screen (_tmp6_);
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp8_ = wnck_screen_get_active_workspace (_tmp7_);
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = _tmp5_ != _tmp8_;
#line 3755 "WindowControl.c"
	} else {
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp1_ = FALSE;
#line 3759 "WindowControl.c"
	}
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp9_ = _tmp1_;
#line 470 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp9_) {
#line 3765 "WindowControl.c"
		WnckWindow* _tmp10_;
		WnckWorkspace* _tmp11_ = NULL;
		guint32 _tmp12_;
#line 471 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp10_ = w;
#line 471 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp11_ = wnck_window_get_workspace (_tmp10_);
#line 471 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp12_ = time;
#line 471 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		wnck_workspace_activate (_tmp11_, _tmp12_);
#line 3777 "WindowControl.c"
	}
#line 473 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp13_ = w;
#line 473 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp14_ = wnck_window_is_minimized (_tmp13_);
#line 473 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	if (_tmp14_) {
#line 3785 "WindowControl.c"
		WnckWindow* _tmp15_;
		guint32 _tmp16_;
#line 474 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp15_ = w;
#line 474 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		_tmp16_ = time;
#line 474 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
		wnck_window_unminimize (_tmp15_, _tmp16_);
#line 3794 "WindowControl.c"
	}
#line 476 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp17_ = w;
#line 476 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp18_ = time;
#line 476 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_window_activate_transient (_tmp17_, _tmp18_);
#line 3802 "WindowControl.c"
}


void plank_services_windows_window_control_get_easy_geometry (WnckWindow* w, GdkRectangle* result) {
	GdkRectangle geo = {0};
	WnckWindow* _tmp0_;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 479 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	g_return_if_fail (w != NULL);
#line 481 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	memset (&geo, 0, sizeof (GdkRectangle));
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	_tmp0_ = w;
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	wnck_window_get_geometry (_tmp0_, &_tmp1_, &_tmp2_, &_tmp3_, &_tmp4_);
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	geo.x = _tmp1_;
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	geo.y = _tmp2_;
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	geo.width = _tmp3_;
#line 483 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	geo.height = _tmp4_;
#line 485 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	*result = geo;
#line 485 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return;
#line 3833 "WindowControl.c"
}


PlankServicesWindowsWindowControl* plank_services_windows_window_control_construct (GType object_type) {
	PlankServicesWindowsWindowControl * self = NULL;
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	self = (PlankServicesWindowsWindowControl*) g_object_new (object_type, NULL);
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return self;
#line 3843 "WindowControl.c"
}


PlankServicesWindowsWindowControl* plank_services_windows_window_control_new (void) {
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	return plank_services_windows_window_control_construct (PLANK_SERVICES_WINDOWS_TYPE_WINDOW_CONTROL);
#line 3850 "WindowControl.c"
}


static void plank_services_windows_window_control_class_init (PlankServicesWindowsWindowControlClass * klass) {
#line 41 "/tmp/B.c028f953-b017-4241-83a0-512e3c9cc528/BUILD/plank-0.2.0.748/lib/Services/WindowControl.vala"
	plank_services_windows_window_control_parent_class = g_type_class_peek_parent (klass);
#line 3857 "WindowControl.c"
}


static void plank_services_windows_window_control_instance_init (PlankServicesWindowsWindowControl * self) {
}


GType plank_services_windows_window_control_get_type (void) {
	static volatile gsize plank_services_windows_window_control_type_id__volatile = 0;
	if (g_once_init_enter (&plank_services_windows_window_control_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PlankServicesWindowsWindowControlClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) plank_services_windows_window_control_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PlankServicesWindowsWindowControl), 0, (GInstanceInitFunc) plank_services_windows_window_control_instance_init, NULL };
		GType plank_services_windows_window_control_type_id;
		plank_services_windows_window_control_type_id = g_type_register_static (G_TYPE_OBJECT, "PlankServicesWindowsWindowControl", &g_define_type_info, 0);
		g_once_init_leave (&plank_services_windows_window_control_type_id__volatile, plank_services_windows_window_control_type_id);
	}
	return plank_services_windows_window_control_type_id__volatile;
}



